<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use App\Http\Controllers\Controller;
use DB; 
use Session; 
use Auth; 
use Carbon\Carbon; 
use App\User; 

class CatalogueController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //

        $produits = DB::table('llx_product')->select('rowid', 'label', 'price', 'mini_description', 'prix_1', 'prix_2', 'tosell', 'canvas')
        ->where('tosell', '=', 1)->get(); 

        return view('admin.catalogue.index', compact('produits')); 
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    public function ajouter($id)
    {
   
        $r = DB::table('llx_product')
        ->select('rowid', 'label', 'price', 'description')
        ->where('rowid', '=', $id )->first(); 
       
        if(!(Session::has('cart')))
        {
            Session::put('orderCounter',1);
            $c=$id.":::".$r->label.":::".$r->price.":::".$r->description.':::'.Session::get('orderCounter');   //the order counter is added after color so that order serial can be obtained
            Session::put('cart',$c);
        }
        else
        {
            Session::put('orderCounter',Session::get('orderCounter')+1);
            $cd=$id.":::".$r->label.":::".$r->price.":::".$r->description.':::'.Session::get('orderCounter');
            $total=Session::get('cart').",,,".$cd;
            Session::put('cart',$total);
        }
        
        //dd(explode( ',', Session::get('cart'))); 
        Session::flash( 'success', 'Produit ajouté dans votre panier avec succée !'); 
        return redirect()->route('admin.catalogue.index');
        

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    // Enregistrement de la commande 

    public function store(Request $request)
    {
        // Enregistrement des clients 
       

       
        $this->validate($request, [
            'telephone'  => 'required',
        ]);


        $res = DB::table('llx_societe')->where('phone', '=', $request->telephone)->first(); 

        if($res != NULL){
            Session::flash('warning', 'Ce client existe déjà'); 
            return redirect()->back(); 
        }

        $this->validate($request, [
            'nom_complet' => 'required', 
            'date'  => 'required', 
            'agence'  => 'required', 
        ]);

        /*dd($request); 
        dd(explode(',', Session::get('cart'))); */

       /* $res = DB::table('llx_societe')->where('phone', '=', $request->telephone)->first(); 

        if($res != NULL){
            Session::flash('warning', 'Ce client existe déjà'); 
            return redirect()->back(); 
        }*/

       $client_id =  DB::table('llx_societe')->insertGetId([
            'nom' => $request->nom_complet, 
            'phone' => $request->telephone,
            'email' => $request->email,
            'address' => $request->address, 
            'numcompt' => $request->numcompt,
            'gestcompt' => $request->gestcompt,
            'client' => 1,
        ]);

       
        DB::table('llx_societe_commerciaux')->insert([
            'fk_soc' => $client_id,
            'fk_user' => $request->commercial != NULL ? $request->commercial : Auth::user()->id 
        ]); 
       
            // Enregistrement de la commande 
        
        $date = Carbon::parse($request->date);
   
        $commande_id =  DB::table('llx_commande')->insertGetId([
            'fk_soc' => $client_id, 
            'ref' => Carbon::now(),
            'date_commande' => $date->year. '-'. $date->month. '-'. $date->day,
            'agence' => $request->agence, 
            'note_public' => $request->note,
            'fk_user_author' => Auth::user()->id,
        ]);

        $ref = 'CO'.$request->date[8].''.$request->date[9]. $request->date[3].''.$request->date[4] .'-'. $commande_id; 

        DB::table('llx_commande')->where('rowid', '=', $commande_id)
        ->update([
            'ref' => $ref
        ]); 
      

        /*$soc = DB::table('llx_societe')->select('nom')
        ->where('rowid', '=', $client_id)->first(); */
/*
        $commercial = DB::table('users')
        ->join('llx_societe_commerciaux', 'llx_societe_commerciaux.fk_user', '=', 'users.id')
        ->select('llx_societe_commerciaux.fk_soc', 'llx_societe_commerciaux.fk_user', 'users.name')
        ->where('llx_societe_commerciaux.fk_soc', '=', $client_id)->first(); */

        $name = $request->commercial != NULL ? User::find($request->commercial)->name :  Auth::user()->name; 
     
        DB::table('llx_commande_extrafields')->insert([
            'fk_object' => $commande_id, 
            'tms' =>  $date->year .'-'. $date->month. '-' .$date->day,
            'numcom' => $name ?? '', 
            'programme' => $request->programme, 
            'banque' => $request->agence, 
            'avis_banque' => $request->avis_banque
        ]);

            // Enregistrement des produits liées à lq commqnde 
        /*
            $article = DB::table('llx_product')
            ->select('label', 'description')
            ->where('rowid', '=', $request->article_id)
            ->first(); */

        $produits = explode(',,,', Session::get('cart'));
     
        foreach($produits as $p)
        {
            $article = DB::table('llx_product')
            ->select('rowid', 'label', 'price', 'description')
            ->where('rowid', '=',  explode(':::', $p)[0])
            ->first(); 

            DB::table('llx_commandedet')->insert([
                'fk_commande' => $commande_id, 
                'fk_product' => $article->rowid, 
                'price' => $article->price, 
                'description' => $article->description, 
                'qty' => $request->qty, 
                'remise_percent' => 0, 
                'total_ttc' =>  $article->price * $request->qty, 
            ]);
      
        }

       /* 
            $commande = DB::table('llx_commande')
            ->join('llx_societe_commerciaux', 'llx_societe_commerciaux.fk_soc', '=', 'llx_commande.fk_soc')
            ->select('llx_commande.rowid', 'llx_societe_commerciaux.fk_user')
            ->where('llx_commande.rowid', '=', $request->id)
            ->first();  
        */

        $taux = NULL; 

        if($request->commercial != NULL)
        {
            $taux = DB::table('user_commissions')
            ->join('commissions', 'commissions.id', '=', 'user_commissions.commission_id')
            ->select('commissions.montant')
            ->where('user_commissions.user_id', '=', $request->commercial)
            ->first();
        }
     

        $somme = DB::table('llx_commandedet')
        ->select(DB::raw('SUM(total_ttc) as somme'))
        ->where('fk_commande', '=', $commande_id)
        ->first(); 
        
        $somme = (int) $somme->somme;

        $commission = 0; 

        $commande_extra = DB::table('llx_commande_extrafields')->select('avis_banque')->where('fk_object', '=', $commande_id)->first(); 

        if($commande_extra->avis_banque == 2 && $taux != NULL)
        {
            $commission = ($taux->montant / 100 ) * $somme; 
        }
  
        DB::table('llx_commande')
        ->where('rowid', '=', $commande_id)
        ->update([
            'fk_statut' => 1,
            'total_ttc' => $somme, 
            'commission' => $commission 
        ]); 
   
        Session::forget('cart'); 
        Session::forget('orderCounter');

        Session::flash('success', 'Commande Validé avec succée !'); 
        return redirect()->route('admin.catalogue.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Session::forget('cart'); 
        Session::forget('orderCounter'); 

        return redirect()->back(); 
    }

    public function cart()
    {
        //dd(Session::get('orderCounter')); 

        //dd(Auth::user()->roles[0]->title == 'Admin');
        
        if(Session::get('cart') == NULL)
        {
            Session::forget('orderCounter');
            Session::flash('infos', 'Le panier est vide !'); 

            return redirect()->back(); 
        }
        
        $agences = DB::table('agences')->select('id' , 'agence')->get(); 

        $users = DB::table('users')->select('id', 'name', 'email')->get(); 

        $produits = explode( ',,,', Session::get('cart')); 
        
        return view('admin.catalogue.cart', compact('agences', 'users', 'produits')); 
    }

    public function supprimer()
    {
    
        Session::forget('cart'); 
        Session::forget('orderCounter'); 

        Session::flash('success', 'Commande Annulée avec succée!'); 
        return redirect()->route('admin.catalogue.index'); 
    } 
    
    public function rechercher(Request $request)
    {
        
        $produits = DB::table('llx_product')->select('rowid', 'label', 'price', 'prix_1', 'prix_2', 'mini_description', 'tosell', 'canvas')
        ->where('tosell', '=', 1)->where('label', 'like', $request->produit.'%')->get(); 

        return view('admin.catalogue.recherche', compact('produits')); 
    }

    public function accreditif()
    {

        return view('admin.catalogue.accreditif'); 
    }
}
