<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Project;
use App\Transaction;
use Carbon\Carbon;
use Illuminate\Http\Request;
use DB; 
use Auth; 

class ClientReportController extends Controller
{
    public function index(Request $request)
    {

        if(Auth::user()->roles[0]->title == 'Commerciale')
        {
            return redirect()->route('admin.catalogue.index'); 
        }

        // --------------------------- MONTANT PAR AGENCE DU MOIS COURANT -------------------------- 
          
        if($request->mois == NULL) {

            $mois = (Carbon::now()->month < 10) ? '0'. Carbon::now()->month : Carbon::now()->month; 
            $date = Carbon::now()->year .'-'. $mois; 
        } else {
            
            $d = explode('-', $request->mois); 
            $date = $d[1] .'-'. $d[0]; 
            $mois = (Carbon::parse($date)->month < 10) ? '0'. Carbon::parse($date)->month : Carbon::parse($date)->month; 
            $date = Carbon::parse($date)->year .'-'. $mois; 
        }

            // TOTAL NOMBRE DE COMMANDE 
        $nbre_commande = DB::table('llx_commande')->select(DB::raw('COUNT(*) as total'))->where('date_commande', 'like', $date.'%')->first(); 
        
              // TOTAL MONTANT COMMANDE VALIDE PAR LA BANQUE 
        $montant_commande = DB::table('llx_commande')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select(DB::raw('SUM(llx_commande.total_ttc) as total'))
        ->where('llx_commande.date_commande', 'like', $date.'%')
        ->where('llx_commande_extrafields.avis_banque', '=', 2)->first(); 

        $nbre_commande_valide = DB::table('llx_commande')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select(DB::raw('COUNT(*) as total'))
        ->where('llx_commande.date_commande', 'like', $date.'%')
        ->where('llx_commande_extrafields.avis_banque', '=', 2)->first(); 

        $montant_commande_fournisseur = DB::table('llx_commande_fournisseur')
        ->select(DB::raw('SUM(llx_commande_fournisseur.total_ttc) as total'))
        ->where('llx_commande_fournisseur.date_commande', 'like', $date.'%')
        ->where('llx_commande_fournisseur.fk_statut', '=', 5)->first(); 

        $rap_bd = DB::table('llx_commande')
        //->join('llx_commande', 'llx_commande.fk_soc', '=', 'llx_societe_commerciaux.fk_soc')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->join('agences', 'agences.id', '=', 'llx_commande_extrafields.banque')
        ->select('llx_commande.date_commande', 'llx_commande.total_ttc', 'llx_commande_extrafields.avis_banque', 'agences.agence')
        ->where('llx_commande_extrafields.avis_banque', '=', 2)
        ->where('llx_commande.date_commande', 'like', $date.'%')
        ->get(); 

        $rap = collect($rap_bd); 

        $rap = $rap->each(function($item, $key){
            //dd(explode('-', $item->date_creation)[0]);
            $d = explode('-', $item->date_commande); 
            //dd($d); 
            $jour = $d[1]; 
            $annee = $d[0]; 

            $item->date_commande = $jour .'-'. $annee ; 
        }); 

        $rap = collect($rap)->groupBy('agence')->map(function($row){
            //dd($row); 
            return $row->sum('total_ttc'); 
        });     

        $agences = []; 
        $montants = []; 
        foreach($rap as $agence => $montant)
        {
            $agences[] = $agence; 
            $montants[] = $montant; 
        }
       
          // --------------------------- LISTE DES 10 DERNIERS COMMANDES VALIDE  -------------------------- 

          
        $commande = DB::table('llx_societe_commerciaux')
        //->join('llx_societe', 'llx_societe.id', '=', 'llx_societe_commerciaux.fk_soc')
        ->join('llx_commande', 'llx_commande.fk_soc', '=', 'llx_societe_commerciaux.fk_soc')
        ->join('users', 'users.id', '=', 'llx_societe_commerciaux.fk_user')
        ->join('llx_societe', 'llx_societe.rowid', 'llx_societe_commerciaux.fk_soc')
        ->select('llx_commande.total_ttc', 'llx_societe_commerciaux.fk_user', 'llx_societe.nom', 'users.name', 'llx_commande.date_commande')
       
        ->get(); 
        //dd($commande); 

        $commandes_bd = DB::table('llx_commande')
        ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_commande.fk_soc')
        ->join('llx_user', 'llx_user.rowid', '=', 'llx_commande.fk_user_author')
        ->join('users', 'users.id', '=', 'llx_commande.fk_user_author')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select('llx_commande_extrafields.avis_banque', 'llx_commande_extrafields.numcom', 'llx_commande_extrafields.banque', 'llx_societe.nom', 'llx_user.login', 'llx_commande.rowid', 'llx_commande.ref', 'llx_commande.date_creation', 'llx_commande.total_ttc', 'llx_commande.commission', 'llx_commande.fk_statut' , 'llx_commande.fk_currency', 'llx_commande.fk_product', 'users.name', 'llx_user.color')
        ->orderBy('rowid', 'desc')
        ->where('llx_commande_extrafields.avis_banque', '=', 2)
        ->limit(10)
        ->get(); 

        //dd($commandes_bd[100]); 
        $commandes_bd = collect($commandes_bd); 
        /*
            $agences = DB::table('agences')
            ->join('regions', 'regions.id', '=', 'agences.region_id')
            ->select('agences.id', 'regions.libelle', 'agences.agence')
            ->get(); 
        */
        
        $commandes = $commandes_bd->each(function($item, $key){
            
            $produits = DB::table('llx_commandedet')->select('rowid', 'fk_product', 'fk_commande')->where('fk_commande', '=', $item->rowid)->get(); 
            
            $item->fk_product = []; 
            
            foreach($produits as $p){
                $produit = DB::table('llx_product')->select('rowid', 'label')->where('rowid', '=', $p->fk_product)->first(); 
             
                $item->fk_product[] = $produit->label ?? ''; 
            }
           
              if($item->fk_statut == 1) 
            {
                $item->fk_statut = 'Non';
                $item->fk_currency = 'bg-danger'; 
            }
            else if ($item->fk_statut == 2)
            {
                $item->fk_statut = 'En cours';
                $item->fk_currency = 'bg-warning'; 
            }
            else if($item->fk_statut == 3)
            {
                $item->fk_statut = 'Oui';
                $item->fk_currency = 'bg-success'; 
            }

            switch($item->avis_banque)
            {
                case 1 :
                    $item->color = 'bg-warning'; 
                    $item->avis_banque = 'En cours'; 
                    break; 

                case 2 :
                    $item->color = 'bg-success'; 
                    $item->avis_banque = 'Validé'; 
                    break; 

                case 3 :
                    $item->color = 'bg-danger'; 
                    $item->avis_banque = 'Rejeté'; 
                    break; 
            }

            if($item->banque != NULL)
            {
                $banque = DB::table('agences')->where('id', '=', $item->banque)->first(); 
              
                $item->banque = $banque->agence; 
            }

         
            /* 
                    foreach($agences as $a)
                    {
                        if($item->agence == $a->id)
                        {
                            $item->agence = $a->libelle . '-' . $a->agence; 
                        }
                    }
                */
              
        });

            // --------------------------- DIAGRAMME MONTANT PAR MOIS DE L'ANNEE COURANT -------------------------- 

                 
        if($request->annee == NULL) {

            //$mois = (Carbon::now()->month < 10) ? '0'. Carbon::now()->month : Carbon::now()->month; 
            $date = Carbon::now()->year;
        } else {
            
            /*$d = explode('-', $request->mois); 
                $date = $d[1] .'-'. $d[0]; 
                $mois = (Carbon::parse($date)->month < 10) ? '0'. Carbon::parse($date)->month : Carbon::parse($date)->month; 
            */
            $date = Carbon::parse($date)->year; 
        }

      

        $rap_fournisseur_bd = DB::table('llx_commande_fournisseur')
        ->select('llx_commande_fournisseur.date_commande', 'llx_commande_fournisseur.total_ttc')
        ->where('llx_commande_fournisseur.fk_statut', '=', 5)
        ->where('llx_commande_fournisseur.date_commande', 'like', $date.'%')
        ->get(); 
      
        //dd($rap_bd); 
       //dd($rap_bd); 
      /*  $rap_bd = DB::table('llx_commande')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select('llx_commande.date_commande', 'llx_commande.fk_user_author', 'llx_commande.total_ttc', 'llx_commande_extrafields.avis_banque')
        ->where('llx_commande_extrafields.avis_banque', '=', 1)
        ->get(); 
*/
        $rap_fournisseur = collect($rap_fournisseur_bd); 
       

        $rap_fournisseur = $rap_fournisseur->each(function($item, $key){
            //dd(explode('-', $item->date_creation)[0]);
            $d = explode('-', $item->date_commande); 
            //dd($d); 
            $mois = $d[1]; 
            $annee = $d[0]; 

            $item->date_commande = $mois .'-'. $annee ; 
        }); 
        
        $rap_fournisseur = collect($rap_fournisseur)->groupBy('date_commande')->map(function($row){
            //dd($row); 
            return $row->sum('total_ttc'); 
        }); 
        
        $date_commandes_fournisseurs = []; 
        $montants_fournisseurs = []; 

        foreach($rap_fournisseur as $date_commande => $montant)
        {
            $date_commandes_fournisseurs[] = $date_commande; 
            $montants_fournisseurs[] = $montant; 
        }
       
            // --------------------------- LISTE DES 10 DERNIERS COMMANDES VALIDE  -------------------------- 

        $commandes_fournisseurs_bd = DB::table('llx_commande_fournisseur')
        ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_commande_fournisseur.fk_soc')
        ->join('users', 'users.id', '=', 'llx_commande_fournisseur.fk_user_author')
        ->select('llx_societe.nom', 'llx_commande_fournisseur.rowid', 'llx_commande_fournisseur.ref', 'llx_commande_fournisseur.date_creation', 'llx_commande_fournisseur.total_ttc', 'llx_commande_fournisseur.fk_statut' , 'users.name', 'llx_societe.canvas')
        ->orderBy('rowid', 'desc')
        ->limit(15)
        ->get(); 
     

            //dd($commandes_bd[100]); 
        
        $commandes_fournisseurs_bd = collect($commandes_fournisseurs_bd); 
                
        $commandes_fournisseurs = $commandes_fournisseurs_bd->each(function($item, $key){
            
            if($item->fk_statut == 0) 
            {
                $item->fk_statut = 'Brouillon';
                $item->canvas = 'none'; 
              
            }
            
            if($item->fk_statut == 1) 
            {
                $item->fk_statut = 'Validé';
                $item->canvas = 'none'; 
              
            }

            if($item->fk_statut == 2) 
            {
                $item->fk_statut = 'Approuvé';
                $item->canvas = 'none'; 
              
            }
            if($item->fk_statut == 3) 
            {
                $item->fk_statut = 'Commandé';
                $item->canvas = 'bg-warning'; 
              
            }

            else if($item->fk_statut == 4)  
            {
                $item->fk_statut = 'Commandé - En cours';
                $item->canvas = 'bg-warning'; 
              
            }
            else if ($item->fk_statut == 5)
            {
                $item->fk_statut = 'Produit Reçu';
                $item->canvas = 'bg-success'; 
            }
            
        });

        return view('admin.clientReports.index', compact('rap', 'commandes', 'agences', 'montants', 'rap_fournisseur', 'date_commandes_fournisseurs', 'montants_fournisseurs', 'commandes_fournisseurs', 'nbre_commande', 'montant_commande', 'nbre_commande_valide',  'montant_commande_fournisseur'));
    }
}
