<?php


namespace App\Http\Controllers\Admin;

use App\Client;
use App\ClientStatus;
use App\Article;
use App\CommandeArticleClient; 
use App\CommandeClient; 
use App\User; 
use App\Http\Controllers\Controller;
use App\Http\Requests\MassDestroyClientRequest;
use App\Http\Requests\StoreClientRequest;
use App\Http\Requests\UpdateClientRequest;
use Gate;
use Auth; 
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

use DB; 
use Session; 

use PDF;

class CommandeArticleClientController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
       
        $this->validate($request, [
            'article_id' => 'required', 
            'prix' => 'required',
            'quantite' => 'required' 
        ]); 

        $prix = (int) $request->prix; 

        $quantite = (int) $request->quantite; 

        $article = DB::table('llx_product')
        ->select('label', 'description')
        ->where('rowid', '=', $request->article_id)
        ->first(); 

        $commande_article = DB::table('llx_commandedet')->insert([
            'fk_commande' => $request->commande_id, 
            'fk_product' => $request->article_id, 
            'price' => $prix, 
            'description' => $article->description, 
            'qty' => $quantite, 
            'remise_percent' => $request->remise, 
            'total_ttc' =>  $prix * $quantite * (1 - $request->reduction / 100), 
        ]);
        
        Session::flash('success', 'Produit ajouté à la commande avec succée !'); 
        return redirect()->back();
    }

    public function fiche_expedition($id)
    {
        
        $commande = DB::table('llx_commande')
        ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_commande.fk_soc')
        //->join('llx_user', 'llx_user.rowid', '=', 'llx_commande.fk_user_author')
        ->join('users', 'users.id', '=', 'llx_commande.fk_user_author')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select('llx_commande_extrafields.avis_banque', 'llx_commande_extrafields.numcom', 'llx_commande_extrafields.banque', 'llx_societe.phone', 'llx_societe.address', 'llx_societe.nom', 'llx_commande.rowid', 'llx_commande.ref', 'llx_commande.date_commande', 'llx_commande.total_ttc', 'llx_commande.commission', 'llx_commande.fk_statut' , 'users.name')
        ->where('llx_commande.rowid', '=', $id)
        ->first(); 

        if($commande->banque != NULL) {
            $banque = DB::table('llx_commande_extrafields')
            ->join('agences', 'agences.id', '=', 'llx_commande_extrafields.banque')
            ->select('llx_commande_extrafields.fk_object', 'llx_commande_extrafields.banque', 'agences.agence')
            ->where('fk_object', '=', $id)
            ->first(); 
            $commande->banque = $banque->agence; 
        }

        /*$user = User::find($commande->user_id); 
        $client = Client::find($commande->client_id);*/
        
        $commande_articles = DB::table('llx_commandedet')
        ->join('llx_product', 'llx_product.rowid', '=', 'llx_commandedet.fk_product')
        ->select('llx_product.rowid', 'llx_product.label', 'llx_commandedet.price', 'llx_commandedet.qty', 'llx_commandedet.description', 'llx_commandedet.total_ttc')
        ->where('llx_commandedet.fk_commande', '=', $id)
        ->get(); 

        $data[] = $commande; 
      
        $data[] = $commande_articles; 
     
        //dd($data); 
        $pdf =  PDF::loadView('admin.commande_client.invoice', compact('data'));

        return $pdf->stream('admin.commande_client.invoice');

    }

    
    public function bordereau_livraison($id)
    {
        
          
        $commande = DB::table('llx_commande')
        ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_commande.fk_soc')
        //->join('llx_user', 'llx_user.rowid', '=', 'llx_commande.fk_user_author')
        ->join('users', 'users.id', '=', 'llx_commande.fk_user_author')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select('llx_commande_extrafields.avis_banque', 'llx_commande_extrafields.numcom', 'llx_commande_extrafields.banque', 'llx_societe.phone', 'llx_societe.address', 'llx_societe.nom', 'llx_commande.rowid', 'llx_commande.ref', 'llx_commande.date_commande', 'llx_commande.total_ttc', 'llx_commande.commission', 'llx_commande.fk_statut' , 'users.name')
        ->where('llx_commande.rowid', '=', $id)
        ->first(); 
        
          
        if($commande->banque != NULL) {
            $banque = DB::table('llx_commande_extrafields')
            ->join('agences', 'agences.id', '=', 'llx_commande_extrafields.banque')
            ->select('llx_commande_extrafields.fk_object', 'llx_commande_extrafields.banque', 'agences.agence')
            ->where('fk_object', '=', $id)
            ->first(); 
            
            $commande->banque = $banque->agence; 
        }

        $commande_articles = DB::table('llx_commandedet')
        ->join('llx_product', 'llx_product.rowid', '=', 'llx_commandedet.fk_product')
        ->select('llx_product.rowid', 'llx_product.label', 'llx_commandedet.price', 'llx_commandedet.qty', 'llx_commandedet.description', 'llx_commandedet.total_ttc')
        ->where('llx_commandedet.fk_commande', '=', $id)
        ->get(); 

        $data[] = $commande; 

        $data[] = $commande_articles; 
  
      
        $pdf =  PDF::loadView('admin.commande_client.bl', compact('data'));

        return $pdf->stream('admin.commande_client.bl');

    }   



    
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //s
    
        $result = DB::table('llx_commandedet')->where('fk_product', '=' , $id)->delete(); 
        
        return redirect()->back(); 
    }
}
