<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use DB; 
use Session;
use PDF;

class CommandeArticleFournisseurController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //

        $this->validate($request, [
            'article_id' => 'required', 
            'prix' => 'required',
            'quantite' => 'required' 
        ]); 

        $prix = (int) $request->prix; 

        $quantite = (int) $request->quantite; 

        $article = DB::table('llx_product')
        ->select('label', 'description')
        ->where('rowid', '=', $request->article_id)
        ->first(); 

        DB::table('llx_commande_fournisseurdet')->insert([
            'fk_commande' => $request->commande_id, 
            'fk_product' => $request->article_id, 
            'subprice' => $prix, 
            'description' => $article->description, 
            'qty' => $quantite, 
            'remise_percent' => $request->remise, 
            'total_ttc' =>  $prix * $quantite * (1 - $request->reduction / 100), 
            'fk_societe' => $request->client, 
        ]);
        
        Session::flash('success', 'Produit ajouté à la commande avec succée !'); 
        return redirect()->back();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $result = DB::table('llx_commande_fournisseurdet')->where('fk_product', '=' , $id)->delete(); 
        
        Session::flash('success', 'Produit supprimé avec succée !'); 
        return redirect()->back(); 
    } 

     
    public function bordereau_livraison($id)
    {
        
          
        $commande = DB::table('llx_commande_fournisseur')
        ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_commande_fournisseur.fk_soc')
        //->join('llx_user', 'llx_user.rowid', '=', 'llx_commande.fk_user_author')
        ->join('users', 'users.id', '=', 'llx_commande_fournisseur.fk_user_author')
        //->join('llx_commande_fournisseur_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select('llx_societe.phone', 'llx_societe.address', 'llx_societe.nom', 'llx_commande_fournisseur.rowid', 'llx_commande_fournisseur.ref', 'llx_commande_fournisseur.date_commande', 'llx_commande_fournisseur.total_ttc', 'llx_commande_fournisseur.fk_statut' , 'users.name')
        ->where('llx_commande_fournisseur.rowid', '=', $id)
        ->first(); 

          /*
                if($commande->banque != NULL) {
                    $banque = DB::table('llx_commande_extrafields')
                    ->join('agences', 'agences.id', '=', 'llx_commande_extrafields.banque')
                    ->select('llx_commande_extrafields.fk_object', 'llx_commande_extrafields.banque', 'agences.agence')
                    ->where('fk_object', '=', $id)
                    ->first(); 
                    
                    $commande->banque = $banque->agence; 
                }
            */

        $commande_articles = DB::table('llx_commande_fournisseurdet')
        ->join('llx_product', 'llx_product.rowid', '=', 'llx_commande_fournisseurdet.fk_product')
        ->select('llx_product.rowid', 'llx_product.label', 'llx_commande_fournisseurdet.subprice', 'llx_commande_fournisseurdet.qty', 'llx_commande_fournisseurdet.description', 'llx_commande_fournisseurdet.total_ttc', 'fk_societe')
        ->where('llx_commande_fournisseurdet.fk_commande', '=', $id)
        ->get(); 

        $data[] = $commande; 

        $data[] = $commande_articles; 
  
      
        $pdf =  PDF::loadView('admin.commande_fournisseurs.bl', compact('data'));

        return $pdf->stream('admin.commande_fournisseurs.bl');

    }   
}
