<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Requests\StoreCommandeClientRequest;
use App\CommandeClient; 
use App\CommandeArticleClient; 
use App\FactureClient; 
use Carbon\Carbon; 
use App\Client; 
use App\Article; 
use Gate;
use DB; 
use Session; 
use Auth; 
use Symfony\Component\HttpFoundation\Response;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Collection;
use App\Notifications\CommandeValideNotification; 
use Illuminate\Support\Facades\Notification; 
use App\User; 

class CommandeClientController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public $url = 'https://www.gestemc.sen-services.com/api/index.php/'; 

    public $header = ['DOLAPIKEY' => 'z8N23221ILy2ofaLL4C3WpVgbSomGiO9']; 

    public function index()
    {
        
    
        abort_if(Gate::denies('client_liste'), Response::HTTP_FORBIDDEN, '403 Forbidden');
    
        /*
            $orders = Http::withHeaders($this->header)->withOptions(["verify"=>false])
            ->get($this->url . 'orders');
            $users = Http::withHeaders($this->header)->withOptions(["verify"=>false])
            ->get($this->url . 'users');
            $orders = $orders->json() ; 
            $users= collect($users->json())->where('id', '=', 24); 
            $result = $users->join('id', $orders)->where('id', '=', 24); 
        */
        /*
        $commandes = DB::table('llx_commande')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select('llx_commande.rowid', 'llx_commande.agence', 'llx_commande_extrafields.banque')
        ->orderby('rowid' ,'desc')
        ->get(); 

        foreach($commandes as $c)
        {
            DB::table('llx_commande')->where('rowid', '=', $c->rowid)
            ->update([
                'agence' => $c->banque 
            ]); 
        } */
        ///dd($commandes); 
/*
        $commande = DB::table('llx_societe_commerciaux')
        //->join('llx_societe', 'llx_societe.id', '=', 'llx_societe_commerciaux.fk_soc')
        ->join('llx_commande', 'llx_commande.fk_soc', '=', 'llx_societe_commerciaux.fk_soc')
        ->join('users', 'users.id', '=', 'llx_societe_commerciaux.fk_user')
        ->join('llx_societe', 'llx_societe.rowid', 'llx_societe_commerciaux.fk_soc')
        ->select('llx_commande.total_ttc', 'llx_societe_commerciaux.fk_user', 'llx_societe.nom', 'users.name', 'llx_commande.date_commande')
       
        ->get(); */
        //dd($commande); 

        if(Auth::user()->roles[0]->title  == 'Admin' || Auth::user()->roles[0]->title == 'Direction')
        {
            $commandes_bd = DB::table('llx_commande')
            ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_commande.fk_soc')
            ->join('llx_user', 'llx_user.rowid', '=', 'llx_commande.fk_user_author')
            ->join('users', 'users.id', '=', 'llx_commande.fk_user_author')
            ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
            ->select('llx_commande_extrafields.avis_banque', 'llx_commande_extrafields.numcom', 'llx_commande_extrafields.banque', 'llx_societe.nom', 'llx_user.login', 'llx_commande.rowid', 'llx_commande.ref', 'llx_commande.date_creation', 'llx_commande.total_ttc', 'llx_commande.commission', 'llx_commande.fk_statut' , 'llx_commande.fk_currency', 'llx_commande.fk_product', 'users.name', 'llx_user.color')
            ->orderBy('llx_commande.rowid', 'desc')
            ->limit(400)
            ->get(); 
        }
          
        else{
           /*
                $commandes_bd = DB::table('llx_commande')
                ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_commande.fk_soc')
                ->join('llx_user', 'llx_user.rowid', '=', 'llx_commande.fk_user_author')
                ->join('users', 'users.id', '=', 'llx_commande.fk_user_author')
                ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
                ->join('llx_societe_commerciaux', 'llx_societe_commerciaux.fk_user', '=', 'users.id')
                ->select('llx_commande_extrafields.avis_banque', 'llx_commande_extrafields.numcom', 'llx_commande_extrafields.banque', 'llx_societe.nom', 'llx_user.login', 'llx_commande.rowid', 'llx_commande.ref', 'llx_commande.date_creation', 'llx_commande.total_ttc', 'llx_commande.commission', 'llx_commande.fk_statut' , 'llx_commande.fk_currency', 'users.name', 'llx_user.color')
                ->orderBy('rowid', 'desc')
                ->where('llx_societe_commerciaux.fk_user', '=', Auth::user()->id)
            
                ->get(); 
            */
            
            $commandes_bd = DB::table('llx_societe_commerciaux')
            ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_societe_commerciaux.fk_soc')
            ->join('llx_commande', 'llx_commande.fk_soc', '=', 'llx_societe_commerciaux.fk_soc')
            ->join('users', 'users.id', '=', 'llx_societe_commerciaux.fk_user')
            ->join('llx_user', 'llx_user.rowid', '=', 'llx_commande.fk_user_author')
            ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
            ->select('llx_commande_extrafields.avis_banque', 'llx_commande_extrafields.numcom', 'llx_commande_extrafields.banque', 'llx_societe.nom', 'llx_user.login', 'llx_commande.rowid', 'llx_commande.ref', 'llx_commande.date_creation', 'llx_commande.total_ttc', 'llx_commande.commission', 'llx_commande.fk_statut' , 'llx_commande.fk_currency', 'llx_commande.fk_product', 'users.name', 'llx_user.color')
         
            ->orderBy('llx_commande.rowid', 'desc')
            ->where('llx_societe_commerciaux.fk_user', '=', Auth::user()->id)
            ->get(); 
        }


        //dd($commandes_bd[100]); 
        
        $commandes_bd = collect($commandes_bd); 
        /*
            $agences = DB::table('agences')
            ->join('regions', 'regions.id', '=', 'agences.region_id')
            ->select('agences.id', 'regions.libelle', 'agences.agence')
            ->get(); 
        */
      
        $commandes = $commandes_bd->each(function($item, $key){
            
            $produits = DB::table('llx_commandedet')->select('rowid', 'fk_product', 'fk_commande')->where('fk_commande', '=', $item->rowid)->get(); 
            
            $item->fk_product = []; 
            
            foreach($produits as $p){
                $produit = DB::table('llx_product')->select('rowid', 'label')->where('rowid', '=', $p->fk_product)->first(); 
             
                $item->fk_product[] = $produit->label ?? ''; 
            }

            if($item->fk_statut == 1) 
            {
                $item->fk_statut = 'Non';
                $item->fk_currency = 'bg-danger'; 
            }
            else if ($item->fk_statut == 2)
            {
                $item->fk_statut = 'En cours';
                $item->fk_currency = 'bg-warning'; 
            }
            else if($item->fk_statut == 3)
            {
                $item->fk_statut = 'Oui';
                $item->fk_currency = 'bg-success'; 
            }

            switch($item->avis_banque)
            {
                case 1 :
                    $item->color = 'bg-warning'; 
                    $item->avis_banque = 'En cours'; 
                    break; 

                case 2 :
                    $item->color = 'bg-success'; 
                    $item->avis_banque = 'Validé'; 
                    break; 

                case 3 :
                    $item->color = 'bg-danger'; 
                    $item->avis_banque = 'Rejeté'; 
                    break; 
            }

            if($item->banque != NULL)
            {
                $banque = DB::table('agences')->where('id', '=', $item->banque)->first(); 
              
                $item->banque = $banque->agence; 
            }

         
           /* foreach($agences as $a)
            {
                if($item->agence == $a->id)
                {
                    $item->agence = $a->libelle . '-' . $a->agence; 
                }
            }*/
              
        });
             
        return view('admin.commande_client.index', compact('commandes'));
    }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        abort_if(Gate::denies('commande_creer'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $clients = DB::table('llx_societe')
        ->select('rowid', 'nom',  'phone', 'address', 'datec')->where('client', '=', 1)->get(); 
        
        $agences = DB::table('agences')->select('id' , 'agence')->get(); 

        return view('admin.commande_client.create', compact('clients', 'agences'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreCommandeClientRequest $request)
    {
        //
        //dd($request); 

   

        $date = Carbon::parse($request->date);
   
        $commande_id =  DB::table('llx_commande')->insertGetId([
            'fk_soc' => $request->client_id, 
            'ref' => Carbon::now(),
            'date_commande' => $date->year. '-'. $date->month. '-'. $date->day,
            'agence' => $request->agence, 
            'note_public' => $request->note,
            'fk_user_author' => Auth::user()->id,
        ]);

        $ref = 'CO'.$request->date[8].''.$request->date[9]. $request->date[3].''.$request->date[4] .'-'. $commande_id; 

        DB::table('llx_commande')->where('rowid', '=', $commande_id)
        ->update([
            'ref' => $ref
        ]); 
      

        $soc = DB::table('llx_societe')->select('nom')
        ->where('rowid', '=', $request->client_id)->first(); 

        $commercial = DB::table('users')
        ->join('llx_societe_commerciaux', 'llx_societe_commerciaux.fk_user', '=', 'users.id')
        ->select('llx_societe_commerciaux.fk_soc', 'llx_societe_commerciaux.fk_user', 'users.name')
        ->where('llx_societe_commerciaux.fk_soc', '=', $request->client_id)->first(); 

        $client =  DB::table('llx_commande_extrafields')->insert([
            'fk_object' => $commande_id, 
            'tms' =>  $date->year .'-'. $date->month. '-' .$date->day,
            'numcom' => $commercial->name ?? '', 
            'programme' => $request->programme, 
            'banque' => $request->agence, 
            'avis_banque' => $request->avis_banque
        ]);

   
        /*
            if($request->avis_banque == 2)
            {
                $taux = DB::table('user_commissions')
                ->join('commissions', 'commissions.id', '=', 'user_commissions.commission_id')
                ->select('commissions.montant')
                ->where('user_commissions.user_id', '=', $commande->fk_user)
                ->first();
        
                $commission = 0; 

                $taux = $taux != NULL ? $taux->montant : 0; 

                $commission = ($taux / 100 ) * $somme; 

                $res = DB::table('llx_commande_extrafields')->where('fk_object', '=', $id)->first(); 

                if($request->avis_banque != $res->avis_banque) {
                    $users = User::all(); 

                    Notification::send($users, new CommandeValideNotification('Une Commande a été validé !')); 
                }
            }
        */
        Session::flash('success', 'Commande ajouté avec succée ! Maintenant veuillez choisir les produits !'); 
        return redirect()->route('admin.commande_client.show', $commande_id);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //

        $commande_clients = DB::table('llx_commande')
            ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_commande.fk_soc')
            ->join('llx_user', 'llx_user.rowid', '=', 'llx_commande.fk_user_author')
            ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
            ->select('llx_commande_extrafields.avis_banque', 'llx_commande_extrafields.programme', 'llx_commande_extrafields.numcom', 'llx_societe.rowid as client_id', 'llx_societe.nom', 'llx_user.login', 'llx_commande.rowid', 'llx_commande.ref', 'llx_commande.date_commande', 'llx_commande.total_ttc', 'llx_commande.fk_statut', 'llx_commande.agence', 'llx_user.color')
            ->where('llx_commande.rowid', '=', $id)
            ->first(); 
        //dd($commande_clients->agence); 

        $client = DB::table('llx_societe')
                ->where('llx_societe.rowid', '=', $commande_clients->client_id)
                ->first(); 

        //$user = DB::table('users')->where('id', '=', $commande_clients->user_id)->first(); 

        $commande_articles = DB::table('llx_commandedet')
            ->join('llx_product', 'llx_product.rowid', '=', 'llx_commandedet.fk_product')
            ->select('llx_product.rowid', 'llx_product.label', 'llx_commandedet.price', 'llx_commandedet.qty', 'llx_commandedet.description', 'llx_commandedet.total_ttc')
            ->where('llx_commandedet.fk_commande', '=', $id)
            ->get(); 

        $region = NULL; 
        $agence = NULL;  

        if($commande_clients->agence != NULL)
        {
            $agence = DB::table('agences')
            ->select('id', 'agence', 'region_id')
            ->where('id', '=', $commande_clients->agence)
            ->first(); 
        }

        $donnee = []; 

        switch($commande_clients->programme)
        {
            case 1 : 
                $donnee['programme'] =  'EMC';
            break; 
            case 2 : 
                $donnee['programme'] =  'NEANT';
            break; 

            case 'EMC' : 
                $donnee['programme'] =  'EMC';
            break; 
        }

        
        switch($commande_clients->avis_banque)
        {
            case 1 : 
                $donnee['avis_banque'] =  'Traitement en cours';
                $donnee['color'] = 'bg-warning'; 
            break; 

            case 2 : 
                $donnee['avis_banque'] =  'Validé';
                $donnee['color'] = 'bg-success'; 
            break; 

            case 3 : 
                $donnee['avis_banque'] =  'Rejeté';
                $donnee['color'] = 'bg-danger'; 
            break; 

            case 4 : 
                $donnee['avis_banque'] =  'Non Souscrit';
                $donnee['color'] = 'bg-secondary'; 
            break; 

            case 5 : 
                $donnee['avis_banque'] =  'EMC LIBRE';
                $donnee['color'] = 'bg-secondary'; 
            break; 

            case 6 : 
                $donnee['avis_banque'] =  'Détournement d\'objectif';
                $donnee['color'] = 'bg-secondary'; 
            break;
        }

        $articles = DB::table('llx_product')
        ->select('rowid', 'label', 'price')->get(); 
     
        return view('admin.commande_client.show',
        compact('commande_clients', 'commande_articles', 'articles', 'agence', 'id', 'client', 'donnee'));
    }

    public function ajout_article(Request $request)
    {
        $this->validate($request, [
            'produit' => 'required', 
        ]); 

        $article = DB::table('llx_product')
        ->select('label', 'description')
        ->where('rowid', '=', $request->article_id)
        ->first(); 

        $commande_article = DB::table('llx_commandedet')->insert([
            'fk_commande' => $request->commande_id, 
            'fk_product' => $request->article_id, 
            'price' => $request->prix, 
            'description' => $article->description, 
            'qty' => $request->quantite, 
            'remise_percent' => $request->remise, 
            'total_ht' =>  $request->prix * $request->quantite * (1 - $request->reduction / 100), 
        ]);

        Session::flash('success', 'Produit ajouté à la commande avec succée !'); 
        return redirect()->back();
    }   


    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        
        $commande = DB::table('llx_commande')
        ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_commande.fk_soc')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select('llx_commande.rowid', 'llx_commande.date_commande', 'llx_commande.note_public', 'llx_societe.rowid as client_id', 'llx_societe.nom', 'llx_societe.phone', 'llx_commande_extrafields.avis_banque', 'llx_commande_extrafields.programme', 'llx_commande.agence')
        ->where('llx_commande.rowid', '=', $id)
        ->first(); 

        $date_parse = Carbon::parse($commande->date_commande); 

        $date = $date_parse->day.'-'. $date_parse->month .'-'. $date_parse->year; 
       

        $clients = DB::table('llx_societe')
        ->select('llx_societe.rowid', 'llx_societe.nom', 'llx_societe.phone')
        ->get(); 

        $agences = DB::table('agences')
        ->join('regions', 'regions.id', '=', 'agences.region_id')
        ->select('agences.id', 'regions.libelle', 'agences.agence')
        ->get(); 
        
        
        return view('admin.commande_client.edit', compact('id', 'date', 'commande', 'clients', 'agences')); 
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        
        $date = Carbon::parse($request->date);
        //dd($request->avis_banque); 
        //dd($request->date); 
        
        $commande = DB::table('llx_commande')
        ->join('llx_societe_commerciaux', 'llx_societe_commerciaux.fk_soc', '=', 'llx_commande.fk_soc')
        ->select('llx_commande.rowid', 'llx_societe_commerciaux.fk_user')
        ->where('llx_commande.rowid', '=', $id)
        ->first();  

        $taux = 0; 

        if($commande != NULL)
        {
            $taux = DB::table('user_commissions')
            ->join('commissions', 'commissions.id', '=', 'user_commissions.commission_id')
            ->select('commissions.montant')
            ->where('user_commissions.user_id', '=', $commande->fk_user)
            ->first();
        } 

        $commission = 0; 

        $somme = DB::table('llx_commandedet')
        ->select(DB::raw('SUM(total_ttc) as somme'))
        ->where('fk_commande', '=', $id)
        ->first(); 

        $somme = (int) $somme->somme;

        //$commande_extra = DB::table('llx_commande_extrafields')->select('avis_banque')->where('fk_object', '=', $id)->first(); 

        if($request->avis_banque == 2)
        {
            if($taux != NULL)
            {
                $commission = ($taux->montant / 100 ) * $somme; 
              
            }

            $res = DB::table('llx_commande_extrafields')->where('fk_object', '=', $id)->first(); 

            if($request->avis_banque != $res->avis_banque) {

                $users = []; 

                $users_db = DB::table('role_user')->where('role_id', '=', 1)->get();

                foreach($users_db as $u)
                {
                    $users[] = User::find($u->user_id); 
                }
                Notification::send($users, new CommandeValideNotification('Une Commande a été validé !')); 
            }
        }

        DB::table('llx_commande')->where('rowid', '=', $id)
        ->update([
            'fk_soc' => $request->client_id, 
            'date_commande' => $date->year. '-'. $date->month. '-'. $date->day,
            'agence' => $request->agence, 
            'note_public' => $request->note,
            'fk_user_modif' => Auth::user()->id,
            'commission' => $commission, 
            'note_public' => $request->note
        ]); 

        
        DB::table('llx_commande_extrafields')->where('fk_object', '=', $id)
        ->update([
            'fk_object' => $id, 
            'tms' =>  $date->year .'-'. $date->month. '-' .$date->day,
            'programme' => $request->programme, 
            'banque' => $request->agence,
            'avis_banque' => $request->avis_banque
        ]); 

    
        Session::flash('success', 'Commande modifié avec succée !'); 
        return redirect()->route('admin.commande_client.index'); 
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function valider(Request $request)
    {   
        $commande = DB::table('llx_commande')
        ->join('llx_societe_commerciaux', 'llx_societe_commerciaux.fk_soc', '=', 'llx_commande.fk_soc')
        ->select('llx_commande.rowid', 'llx_societe_commerciaux.fk_user')
        ->where('llx_commande.rowid', '=', $request->id)
        ->first();  

    
        $taux = DB::table('user_commissions')
        ->join('commissions', 'commissions.id', '=', 'user_commissions.commission_id')
        ->select('commissions.montant')
        ->where('user_commissions.user_id', '=', $commande->fk_user)
        ->first();

        //dd($commande, $commission, $request->id); 
        /*
            $commande = DB::table('llx_commande')
            ->select('fk_soc')
            ->where('rowid', '=', $request->id)
            ->first(); 

            $user = DB::table('llx_societe_commerciaux')
            ->select('rowid', 'fk_user')->where('fk_soc', '=', $commande->fk_soc)
            ->orderBy('rowid', 'DESC')
            ->first(); 
        */

        $somme = DB::table('llx_commandedet')
        ->select(DB::raw('SUM(total_ttc) as somme'))
        ->where('fk_commande', '=', $request->id)
        ->first(); 

        $somme = (int) $somme->somme;
    
        if($somme == 0) {
            Session::flash('warning', 'Veuillez ajouter de produit avant de valider la commande !'); 
            return redirect()->back(); 
        }

        $commission = 0; 

        $commande_extra = DB::table('llx_commande_extrafields')->select('avis_banque')->where('fk_object', '=', $request->id)->first(); 

        if($commande_extra->avis_banque == 2 && $taux != NULL)
        {
            $commission = ($taux->montant / 100 ) * $somme; 
        }

        $commande = DB::table('llx_commande')
        ->where('rowid', '=', $request->id)
        ->update([
            'fk_statut' => 1,
            'total_ttc' => $somme, 
            'commission' => $commission 
        ]); 

        if($request->avis_banque == 2)
        {

            $res = DB::table('llx_commande_extrafields')->where('fk_object', '=', $id)->first(); 

            if($request->avis_banque != $res->avis_banque) {
                $users = []; 
                $users_db = DB::table('role_user')->where('role_id', '=', 1)->get();

                foreach($users_db as $u)
                {
                    $users[] = User::find($u->user_id); 
                }
                Notification::send($users, new CommandeValideNotification('Une Commande a été validé !')); 
            }
        }
  
        return redirect()->route('admin.commande_client.index'); 
        //  {!! QrCode::size(300)->generate('RemoteStack') !!} 
    }

    public function brouillon(Request $request)
    {
        $commande = DB::table('llx_commande')
        ->where('rowid', '=', $request->id)
        ->update([
            'fk_statut' => 0,
        ]); 
        
        return redirect()->back(); 
    }

    public function livrer(Request $request)
    {
        
        $commande = DB::table('llx_commande')
        ->where('rowid', '=', $request->id)
        ->update([
            'fk_statut' => $request->livrer,
        ]); 
        Session::flash('success', 'Opération effectuée avec succée !');
        return redirect()->back(); 
    }

    public function facture_create($id)
    {
        
        return view('admin.facture_client.facture_create', compact('id')); 
    }

    public function facture_store(Request $request)
    {
  
        $commande_articles = DB::table('commande_article_clients')
            ->join('articles', 'articles.id', '=', 'commande_article_clients.article_id')
            ->select('articles.libelle', 'commande_article_clients.*')
            ->where('commande_article_clients.commande_id', '=', $request->id)
            ->get(); 

        //dd($commande_articles); 
        $commande = CommandeClient::find($request->id); 

        $facture = new FactureClient; 

        $facture->commande_client_id = $request->id; 
        $facture->client_id = $commande->client_id; 
        $facture->date = $request->date; 
        $facture->montant = $commande->montant; 
        $facture->user_id = Auth::user()->id; 
        $facture->save(); 

        foreach($commande_articles as $c)
        {
            $commande = CommandeArticleClient::find($c->id); 
            $commande->facture_client_id = $facture->id; 
            $commande->save(); 
        }

        return redirect()->route('admin.facture_client.show', $facture->id); 
    }

    public function bordereauLivraisonCreate(Request $request)
    {
  
        $commande = CommandeClient::find($request->id); 

    

        return redirect()->route('admin.commande_client.create', $facture->id); 
    }

    public function commandeCreateStepOne()
    {
                   
        $users = DB::table('users')->select('id', 'name', 'email')->get();

        return view('admin.commande_client.step_one', compact('users')); 
    }

    
    public function commandeStoreStepOne(Request $request)
    {

        $res = DB::table('llx_societe')->where('phone', '=', $request->telephone)->first(); 

        if($res != NULL){
            Session::flash('warning', 'Ce client existe déjà'); 
            return redirect()->back(); 
        }

       $client =  DB::table('llx_societe')->insertGetId([
            'nom' => $request->nom_complet, 
            'phone' => $request->telephone,
            'email' => $request->email,
            'address' => $request->address, 
            'numcompt' => $request->numcompt,
            'gestcompt' => $request->gestcompt,
            'client' => 1,
        ]);

        if($request->commercial != NULL)
        {
            DB::table('llx_societe_commerciaux')->insert([
                'fk_soc' => $client,
                'fk_user' => $request->commercial
            ]); 
        }
        
        Session::flash('success', 'Client ajouté avec succée ! Maintenant entrez les informations de la commande !'); 
        return redirect()->route('admin.commande_client_step2', $client);
    }

    public function commandeCreateStepTwo($id)
    {
        $clients = DB::table('llx_societe')
        ->select('rowid', 'nom',  'phone', 'address', 'datec')->where('client', '=', 1)
        ->where('rowid', '=', $id)->first(); 
        
        $agences = DB::table('agences')->select('id' , 'agence')->get(); 

        return view('admin.commande_client.step_two', compact('id', 'clients', 'agences'));
    }

    
    public function commandeStoreStepTwo(Request $request)
    {
        
        $date = Carbon::parse($request->date);
   
        $commande_id =  DB::table('llx_commande')->insertGetId([
            'fk_soc' => $request->client_id, 
            'ref' => Carbon::now(),
            'date_commande' => $date->year. '-'. $date->month. '-'. $date->day,
            'agence' => $request->agence, 
            'note_public' => $request->note,
            'fk_user_author' => Auth::user()->id,
        ]);

        $ref = 'CO'.$request->date[8].''.$request->date[9]. $request->date[3].''.$request->date[4] .'-'. $commande_id; 

        DB::table('llx_commande')->where('rowid', '=', $commande_id)
        ->update([
            'ref' => $ref
        ]); 
      

        $soc = DB::table('llx_societe')->select('nom')
        ->where('rowid', '=', $request->client_id)->first(); 

        $commercial = DB::table('users')
        ->join('llx_societe_commerciaux', 'llx_societe_commerciaux.fk_user', '=', 'users.id')
        ->select('llx_societe_commerciaux.fk_soc', 'llx_societe_commerciaux.fk_user', 'users.name')
        ->where('llx_societe_commerciaux.fk_soc', '=', $request->client_id)->first(); 

        $client =  DB::table('llx_commande_extrafields')->insert([
            'fk_object' => $commande_id, 
            'tms' =>  $date->year .'-'. $date->month. '-' .$date->day,
            'numcom' => $commercial->name ?? '', 
            'programme' => $request->programme, 
            'banque' => $request->agence, 
            'avis_banque' => $request->avis_banque
        ]);
        
        Session::flash('success', 'Commande ajouté avec succée ! Maintenant veuillez choisir les produits !'); 
        return redirect()->route('admin.commande_client_step3', $commande_id);
    }

    public function commandeCreateStepThree($id)
    {
        
        $commande_clients = DB::table('llx_commande')
            ->join('llx_societe', 'llx_societe.rowid', '=', 'llx_commande.fk_soc')
            ->join('llx_user', 'llx_user.rowid', '=', 'llx_commande.fk_user_author')
            ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
            ->select('llx_commande_extrafields.avis_banque', 'llx_commande_extrafields.programme', 'llx_commande_extrafields.numcom', 'llx_societe.rowid as client_id', 'llx_societe.nom', 'llx_user.login', 'llx_commande.rowid', 'llx_commande.ref', 'llx_commande.date_commande', 'llx_commande.total_ttc', 'llx_commande.fk_statut', 'llx_commande.agence', 'llx_user.color')
            ->where('llx_commande.rowid', '=', $id)
            ->first(); 
        
        $client = DB::table('llx_societe')
                ->where('llx_societe.rowid', '=', $commande_clients->client_id)
                ->first(); 

        //$user = DB::table('users')->where('id', '=', $commande_clients->user_id)->first(); 

        $commande_articles = DB::table('llx_commandedet')
            ->join('llx_product', 'llx_product.rowid', '=', 'llx_commandedet.fk_product')
            ->select('llx_product.rowid', 'llx_product.label', 'llx_commandedet.price', 'llx_commandedet.qty', 'llx_commandedet.description', 'llx_commandedet.total_ttc')
            ->where('llx_commandedet.fk_commande', '=', $id)
            ->get(); 

        $region = NULL; 
        $agence = NULL;  

        if($commande_clients->agence != NULL)
        {
            $agence = DB::table('agences')
            ->select('id', 'agence', 'region_id')
            ->where('id', '=', $commande_clients->agence)
            ->first(); 
        }

        $articles = DB::table('llx_product')
        ->select('rowid', 'label', 'price')->get(); 

        return view('admin.commande_client.step_three',
        compact('commande_clients', 'commande_articles', 'articles', 'agence', 'id', 'client'));
    }

    
    public function commandeStoreStepThree()
    {

    }

    public function rapport(Request $request)
    {
     
/*
        $raps = DB::table('llx_commande')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select('llx_commande')->get(); 
*/       
        if($request->mois == NULL) {

            $mois = (Carbon::now()->month < 10) ? '0'. Carbon::now()->month : Carbon::now()->month; 
            $date = Carbon::now()->year .'-'. $mois; 
        } else {
            if(preg_match("/^(0[1-9]|1[0-2])-[0-9]{4}$/",$request->mois) == 0){
                
                Session::flash('error', 'Attention format date invalide !'); 
                return redirect()->route('admin.commande_client_rapport'); 
            }

            $d = explode('-', $request->mois); 
            $date = $d[1] .'-'. $d[0]; 
            $mois = (Carbon::parse($date)->month < 10) ? '0'. Carbon::parse($date)->month : Carbon::parse($date)->month; 
            $date = Carbon::parse($date)->year .'-'. $mois;  
        }

        $rap_bd = DB::table('llx_commande')
        //->join('llx_commande', 'llx_commande.fk_soc', '=', 'llx_societe_commerciaux.fk_soc')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->join('agences', 'agences.id', '=', 'llx_commande_extrafields.banque')
        //->join('users', 'users.id', '=', 'llx_societe_commerciaux.fk_user')
        ->select('llx_commande.date_commande', 'llx_commande.total_ttc', 'llx_commande_extrafields.avis_banque', 'agences.agence')
        ->where('llx_commande_extrafields.avis_banque', '=', 2)
        ->where('llx_commande.date_commande', 'like', $date.'%')
        ->get(); 
        //dd($rap_bd); 
       //dd($rap_bd); 
      /*  $rap_bd = DB::table('llx_commande')
        ->join('llx_commande_extrafields', 'llx_commande_extrafields.fk_object', '=', 'llx_commande.rowid')
        ->select('llx_commande.date_commande', 'llx_commande.fk_user_author', 'llx_commande.total_ttc', 'llx_commande_extrafields.avis_banque')
        ->where('llx_commande_extrafields.avis_banque', '=', 1)
        ->get(); 
*/
        $rap = collect($rap_bd); 

        $rap = $rap->each(function($item, $key){
            //dd(explode('-', $item->date_creation)[0]);
            $d = explode('-', $item->date_commande); 
            //dd($d); 
            $jour = $d[1]; 
            $annee = $d[0]; 

            $item->date_commande = $jour .'-'. $annee ; 
        }); 

        $rap = collect($rap)->groupBy('agence')->map(function($row){
            //dd($row); 
            return $row->sum('total_ttc'); 
        }); 
        //dd($rap); 
        
        $agences = []; 
        $montants = []; 
        foreach($rap as $agence => $montant)
        {
            $agences[] = $agence; 
            $montants[] = $montant; 
        }

        return view('admin.commande_client.rapport', compact('rap', 'date', 'agences', 'montants')); 
    }

}
