<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\FactureClient; 
use App\CommandeClient; 
use DB; 


class FactureClientController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //

        $factures = DB::table('facture_clients')
            ->join('clients', 'clients.id', '=', 'facture_clients.client_id')
            ->join('users', 'users.id', '=', 'facture_clients.user_id')
            ->select('facture_clients.*', 'users.name', 'clients.nom_complet')
            ->get(); 
        
        return view('admin.facture_client.index', compact('factures')); 

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
        $facture = FactureClient::find($id); 
 
        $commande = CommandeClient::find($facture->commande_client_id); 

        $client = DB::table('clients')
                    ->where('id', '=', $facture->client_id)
                    ->first(); 

        $user = DB::table('users')->where('id', '=', $facture->user_id)->first(); 

        $articles = DB::table('commande_article_clients')
                ->join('articles', 'articles.id', '=', 'commande_article_clients.article_id')
                ->select('commande_article_clients.*', 'articles.libelle', 'articles.description')
                ->where('commande_id', '=', $commande->id)
                ->get(); 
     
        return view('admin.facture_client.show', 
        compact('facture', 'articles', 'id', 'client', 'user'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function saisir($id)
    {
        return view('admin.facture_client.saisir', compact('id')); 
    }

    public function saisir_post(Request $request)
    {
        $facture = FactureClient::find($request->id); 
        $facture->recu += $request->montant; 
        $facture->creance = $facture->montant - $facture->recu; 
        $facture->save(); 

        return redirect()->route('admin.facture_client.show', $request->id);
    }
}
