<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use DB; 
use App\Http\Controllers\Controller;
use Session; 


class FournisseurController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        
        $fournisseurs = DB::table('llx_societe')
        ->select('rowid', 'nom',  'phone', 'address', 'datec')->where('fournisseur', '=', 1)->get(); 


        return view('admin.fournisseurs.index', compact('fournisseurs'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        //$users = DB::table('users')->select('id', 'name', 'email')->get(); 

        return view('admin.fournisseurs.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request, [
            'nom_complet' => 'required', 
            'telephone' => 'required', 
        ]); 
        
        $res = DB::table('llx_societe')->where('phone', '=', $request->telephone)->first(); 

        if($res != NULL){
            Session::flash('warning', 'Ce fournisseur existe déjà'); 
            return redirect()->back(); 
        }   

       $client =  DB::table('llx_societe')->insertGetId([
            'nom' => $request->nom_complet, 
            'phone' => $request->telephone,
            'email' => $request->email,
            'address' => $request->address, 
            'client' => 1,
        ]);

        Session::flash('success', 'Fournisseur ajouté avec succée !'); 
        return redirect()->route('admin.fournisseurs.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
        $client->load('status');

        return view('admin.clients.show', compact('client'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        
        $statuses = ClientStatus::all()->pluck('name', 'id')->prepend(trans('global.pleaseSelect'), '');

        $client->load('status');

        return view('admin.clients.edit', compact('statuses', 'client'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $client->update($request->all());

        return redirect()->route('admin.clients.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function massDestroy(MassDestroyClientRequest $request)
    {
        Client::whereIn('id', request('ids'))->delete();

        return response(null, Response::HTTP_NO_CONTENT);
    }
}
