<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCommandeClientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('commande_clients', function (Blueprint $table) {
            $table->id();

            $table->unsignedInteger('client_id');
            $table->foreign('client_id')->references('id')->on('clients')->onDelete('cascade');

            $table->unsignedInteger('user_id');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');

            $table->unsignedInteger('agence_id');
            $table->foreign('agence_id')->references('id')->on('agences')->onDelete('cascade');

            $table->string('date'); 

            $table->integer('montant')->nullable(); 

            $table->string('etat')->nullable(); 

            $table->string('agence')->nullable();

            $table->string('programme')->nullable(); 

            $table->string('avis_banque')->nullable(); 

            $table->string('facture')->nullable(); 

            $table->text('note')->nullable(); 

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('commande_clients');
    }
}
