<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCommandeArticleClientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('commande_article_clients', function (Blueprint $table) {
            $table->id();
            
            $table->unsignedInteger('commande_fournisseur_id');
            $table->foreign('commande_fournisseur_id')->references('id')->on('fournisseurs')->onDelete('cascade');
          
            $table->unsignedInteger('article_id');
            $table->foreign('article_id')->references('id')->on('articles')->onDelete('cascade');

            $table->integer('prix')->nullable(); 

            $table->integer('quantite')->nullable(); 

            $table->integer('reduction')->nullable(); 

            $table->integer('montant')->nullable(); 

            $table->unsignedInteger('user_id');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('commande_article_clients');
    }
}
