<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCommandeArticleFournisseursTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('commande_article_fournisseurs', function (Blueprint $table) {
            $table->id();
        
            $table->unsignedInteger('commande_fournisseur_id');
            $table->foreign('commande_fournisseur_id')->references('id')->on('commande_fournisseurs')->onDelete('cascade');
            
            $table->unsignedInteger('article_id');
            $table->foreign('article_id')->references('id')->on('articles')->onDelete('cascade');

            $table->unsignedInteger('user_id');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');

            $table->integer('prix'); 
            $table->integer('quantite'); 
            $table->integer('montant'); 
            $table->integer('mois'); 
            $table->integer('annee'); 
           
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('commande_article_fournisseurs');
    }
}
