@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        NOUVELLE AGENCE 
    </div>

    <div class="card-body">
        <form action="{{ route("admin.agences.store") }}" method="POST" enctype="multipart/form-data">
            @csrf

            <div class="form-group {{ $errors->has('regions') ? 'has-error' : '' }}"> 
                <label for="first_name">Région *</label>
                <select class="form-control select2" name="region_id"> 
                    <option> </option> 

                    @foreach($regions as $r)
                        <option value="{{ $r->id }} "> {{ $r->libelle }} </option> 
                    @endforeach 
                </select> 
            </div> 

            <div class="form-group {{ $errors->has('agence') ? 'has-error' : '' }}">
                <label for="first_name">Agence *</label>
                <input type="text" id="agence" name="agence" class="form-control" value="{{ old('agence') }}" required>
                @if($errors->has('agence'))
                    <p class="help-block">
                        {{ $errors->first('agence') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>
     
        
            <div>
                <input class="btn btn-danger" type="submit" value="Enregistrer">
            </div>
        </form>
    </div>
</div>
@endsection