@extends('layouts.admin')
@section('content')

    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route("admin.agences.create") }}">
                Nouveau agence
            </a>
        </div>
    </div>

<div class="card">
    <div class="card-header">
        Liste des agences
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover datatable datatable-agence">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            Agence
                        </th>
                        <th>
                            Région
                        </th>

                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($agences as $key => $agence)
                        <tr data-entry-id="{{ $agence->id }}">
                            <td> 
                            </td> 
                            <td>
                                {{ $agence->agence ?? '' }}
                            </td>
                            <td>
                                {{ $agence->libelle ?? '' }}
                            </td>
                            
                          
                         
                            <td>
                    
                                    <a class="btn btn-xs btn-primary" href="{{ route('admin.agences.show', $agence->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                            

                         
                                    <a class="btn btn-xs btn-info" href="{{ route('admin.agences.edit', $agence->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                             

                        
                                    <form action="{{ route('admin.agences.destroy', $agence->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                              

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
     $(function () {
    let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
    @can('agence_delete')
        let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
        let deleteButton = {
            text: deleteButtonTrans,
            url: "{{ route('admin.agences.massDestroy') }}",
            className: 'btn-danger',
            action: function (e, dt, node, config) {
            var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                return $(entry).data('entry-id')
            });

            if (ids.length === 0) {
                alert('{{ trans('global.datatables.zero_selected') }}')

                return
            }

            if (confirm('{{ trans('global.areYouSure') }}')) {
                $.ajax({
                headers: {'x-csrf-token': _token},
                method: 'POST',
                url: config.url,
                data: { ids: ids, _method: 'DELETE' }})
                .done(function () { location.reload() })
            }
            }
        }
        dtButtons.push(deleteButton)
    @endcan

  $.extend(true, $.fn.dataTable.defaults, {
    order: [[ 1, 'desc' ]],
   
    lengthMenu: [0, 5, 10, 20, 50, 100, 200, 500],
  });
  $('.datatable-agence:not(.ajaxTable)').DataTable({ buttons: dtButtons })
    $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
        $($.fn.dataTable.tables(true)).DataTable()
            .columns.adjust();
    });
})

</script>
@endsection