@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        NOUVEAU PRODUIT
    </div>

    <div class="card-body">
        <form action="{{ route("admin.articles.store") }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="form-group {{ $errors->has('nom_complet') ? 'has-error' : '' }}">
                <label for="first_name">Image du Produit </label>
                <input type="file" id="image" name="image" class="form-control" value="{{ old('image', isset($article) ? $article->libelle : '') }}">
                @if($errors->has('image'))
                    <p class="help-block">
                        {{ $errors->first('image') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            <div class="form-group {{ $errors->has('nom_complet') ? 'has-error' : '' }}">
                <label for="first_name">Libellé *</label>
                <input type="text" id="libelle" name="libelle" class="form-control" value="{{ old('libelle', isset($article) ? $article->libelle : '') }}" required>
                @if($errors->has('libelle'))
                    <p class="help-block">
                        {{ $errors->first('libelle') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            <div class="form-group {{ $errors->has('categorie_id') ? 'has-error' : '' }}">
                <label for="first_name">Catégorie *</label>
               <select name="categorie_id" class="form-control select2"> 
                   <option value=""> Sélectionnez le catégorie de produit </option> 
                   @foreach($categories as $c)
                        <option value="{{ $c->rowid }}"> {{ $c->label }} </option> 
                   @endforeach 
                </select>
                @if($errors->has('categorie_id'))
                    <p class="help-block">
                        {{ $errors->first('categorie_id') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            <div class="form-group {{ $errors->has('adresse') ? 'has-error' : '' }}">
                <label for="last_name">Prix</label>
                <input type="text" id="prix" name="prix" class="form-control" value="{{ old('prix', isset($article) ? $article->prix : '') }}">
                @if($errors->has('prix'))
                    <p class="help-block">
                        {{ $errors->first('prix') }}
                    </p>
                @endif
                <p class="helper-block">
                  
                </p>
            </div>

            <div class="form-group {{ $errors->has('adresse') ? 'has-error' : '' }}">
                <label for="last_name">Prix (12mois) </label>
                <input type="text" id="prix_1" name="prix_1" class="form-control" value="{{ old('prix_1', isset($article) ? $article->prix : '') }}">
                @if($errors->has('prix_1'))
                    <p class="help-block">
                        {{ $errors->first('prix_1') }}
                    </p>
                @endif
                <p class="helper-block">
                  
                </p>
            </div>

            <div class="form-group {{ $errors->has('adresse') ? 'has-error' : '' }}">
                <label for="last_name">Prix (24mois) </label>
                <input type="text" id="prix_2" name="prix_2" class="form-control" value="{{ old('prix_2', isset($article) ? $article->prix : '') }}">
                @if($errors->has('prix_2'))
                    <p class="help-block">
                        {{ $errors->first('prix_2') }}
                    </p>
                @endif
                <p class="helper-block">
                  
                </p>
            </div>

            <div class="form-group {{ $errors->has('telephone') ? 'has-error' : '' }}">
                <label for="num_compte">Quantité</label>
                <input type="text" id="quantite" name="quantite" class="form-control" value="{{ old('quantite', isset($client) ? $client->telephone : '') }}">
                @if($errors->has('quantite'))
                    <p class="help-block">
                        {{ $errors->first('quantite') }}
                    </p>
                @endif
                <p class="helper-block">
                   
                </p>
            </div>

            <div class="form-group {{ $errors->has('tosell') ? 'has-error' : '' }}">
                <label for="first_name">Etat Vente </label>
                <select class="form-control" name="tosell"> 
                    <option value="1"> En Vente</option>
                    <option value="0"> Hors Vente </option> 
                <select>  
                @if($errors->has('etat'))
                    <p class="help-block">
                        {{ $errors->first('etat') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            <div class="form-group {{ $errors->has('tobuy') ? 'has-error' : '' }}">
                <label for="first_name">Etat Achat</label>
                <select class="form-control" name="tobuy"> 
                    <option value="1"> En Achat</option>
                    <option value="0"> Hors Achat </option> 
                <select>  
                @if($errors->has('tobuy'))
                    <p class="help-block">
                        {{ $errors->first('tobuy') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            <div class="form-group {{ $errors->has('mini_description') ? 'has-error' : '' }}">
                <label for="email">Mini Description</label>
                <textarea rows="8" cols="5" name="mini_description" class="form-control">

                </textarea>
                @if($errors->has('mini_description'))
                    <p class="help-block">
                        {{ $errors->first('mini_description') }}
                    </p>
                @endif
                <p class="helper-block">

                </p>
            </div>

            <div class="form-group {{ $errors->has('description') ? 'has-error' : '' }}">
                <label for="email">Description</label>
                <textarea rows="8" cols="8" name="description" class="form-control">

                </textarea>
                @if($errors->has('description'))
                    <p class="help-block">
                        {{ $errors->first('description') }}
                    </p>
                @endif
                <p class="helper-block">

                </p>
            </div>
        
            <div>
                <input class="btn btn-danger" type="submit" value="{{ trans('global.save') }}">
            </div>
        </form>
    </div>
</div>
@endsection