@extends('layouts.admin')
@section('content')
@can('article_creer')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route("admin.articles.create") }}">
                Nouveau Article
            </a>
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        Liste des Articles
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-Client">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            {{ trans('cruds.client.fields.id') }}
                        </th>
                        <th>
                            Image
                        </th>
                        <th>
                            Article
                        </th>
                        <th>
                            Description
                        </th>
                        <th>
                            Prix
                        </th>
                        <th>
                            Quantité
                        </th>
                        <th> 
                            Etat Vente
                        </th> 
                        <th> 
                            Etat Achat
                        </th> 
                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($articles as $key => $article)
                        <tr data-entry-id="{{ $article->rowid }}">
                            <td>

                            </td>
                            
                            <td>
                                {{ $article->rowid ?? '' }}
                            </td>
                            
                            <td>
                                <img src="{{ url('/image-produit/' . $article->canvas) }}" style="height: 10vh; width: 10vh;" class="card-img-top" alt="image"> 
                            </td>

                            <td>
                                {{ $article->label ?? '' }}
                            </td>

                            <td>
                                {{ $article->description ?? '' }}
                            </td>

                            <td>
                                {{ $article->price ?? '' }}
                            </td>

                            <td>
                                {{ $article->stock?? '' }}
                            </td>

                            <td>
                                <span class="{{ ( $article->tosell == 1 ) ? 'bg-success' : 'bg-danger'   }}" style=" font-size: 13px; padding: 4px; border: 1px solid transparent; border-radius: 6px;">  
                                    {{ ( $article->tosell == 1 )? 'En Vente' : 'Hors Vente'  }}
                                </span>
                            </td>

                            <td>
                                <span class="{{ ( $article->tobuy == 1 ) ? 'bg-success' : 'bg-danger'   }}" style=" font-size: 13px; padding: 4px; border: 1px solid transparent; border-radius: 6px;">  
                                    {{ ( $article->tosell == 1 )? 'En Achat' : 'Hors Achat'  }}
                                </span>
                            </td>

                            <td>
                                <!-- 
                                @can('article_voire')
                                    <a class="btn btn-xs btn-primary fa fa-eye" href="{{ route('admin.articles.show', $article->rowid) }}">
                                        
                                    </a>
                                @endcan
-->
                                @can('article_modifier')
                                    <a class="btn btn-xs btn-info fa fa-edit" href="{{ route('admin.articles.edit', $article->rowid) }}">
                                   
                                    </a>
                                @endcan

                                @can('article_supprimer')
                                    <form action="{{ route('admin.articles.destroy', $article->rowid) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <button type="submit" class="btn btn-xs btn-danger">
                                            <i class="fa fa-trash"> </i> 
                                        </button> 
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
    $(function () {
        let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
        @can('client_delete')
            let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
            let deleteButton = {
                text: deleteButtonTrans,
                url: "{{ route('admin.clients.massDestroy') }}",
                className: 'btn-danger',
                action: function (e, dt, node, config) {
                var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                    return $(entry).data('entry-id')
                });

                if (ids.length === 0) {
                    alert('{{ trans('global.datatables.zero_selected') }}')

                    return
                }

                if (confirm('{{ trans('global.areYouSure') }}')) {
                    $.ajax({
                    headers: {'x-csrf-token': _token},
                    method: 'POST',
                    url: config.url,
                    data: { ids: ids, _method: 'DELETE' }})
                    .done(function () { location.reload() })
                }
                }
            }
            dtButtons.push(deleteButton)
        @endcan

        $.extend(true, $.fn.dataTable.defaults, {
            order: [[ 1, 'desc' ]],
            pageLength: 100,
        });
        $('.datatable-Client:not(.ajaxTable)').DataTable({ buttons: dtButtons })
        $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
            $($.fn.dataTable.tables(true)).DataTable()
                .columns.adjust();
        });
    })
</script>
@endsection