@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        MODIFICATION PRODUIT 
    </div>

    <div class="card-body">
        <form method="POST" enctype="multipart/form-data">
            @csrf
            @method('PUT')
            <div class="form-group text-center">
  
                <a href="#" class="position-relative">
                    <img src="{{ url('/image-produit/' . $article->canvas) }}" style="height: 60vh; width: 60vh;" class="card-img-top" alt="image"> 
                </a>
            </div>

            <div class="form-group {{ $errors->has('nom_complet') ? 'has-error' : '' }}">
                <label for="first_name">Libellé </label>
                <input type="text" id="libelle" name="libelle" class="form-control" value="{{ $article->label }}" disabled>
                @if($errors->has('libelle'))
                    <p class="help-block">
                        {{ $errors->first('libelle') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            <div class="form-group {{ $errors->has('categorie_id') ? 'has-error' : '' }}">
                <label for="first_name">Catégorie </label>
               <select name="categorie_id" class="form-control select2" disabled> 
                   <option value=""> </option> 
                   @foreach($categories as $c)
                        <option value="{{ $c->rowid }}"
                        @if($article->rowid == $c->rowid)
                            selected 
                        @endif> {{ $c->label }} </option> 
                   @endforeach 
                </select>
                @if($errors->has('categorie_id'))
                    <p class="help-block">
                        {{ $errors->first('categorie_id') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            <div class="form-group {{ $errors->has('adresse') ? 'has-error' : '' }}">
                <label for="last_name">Prix ( FCFA )</label>
                <input type="text" id="prix" name="prix" class="form-control" value="{{ $article->price }}" disabled>
                @if($errors->has('prix'))
                    <p class="help-block">
                        {{ $errors->first('prix') }}
                    </p>
                @endif
                <p class="helper-block">
                  
                </p>
            </div>

            <div class="form-group {{ $errors->has('adresse') ? 'has-error' : '' }}">
                <label for="last_name">Prix (12mois) </label>
                <input type="text" id="prix_1" name="prix_1" class="form-control" value="{{ $article->prix_1 }}" disabled>
                @if($errors->has('prix_1'))
                    <p class="help-block">
                        {{ $errors->first('prix_1') }}
                    </p>
                @endif
                <p class="helper-block">
                  
                </p>
            </div>

            <div class="form-group {{ $errors->has('adresse') ? 'has-error' : '' }}">
                <label for="last_name">Prix (24mois) </label>
                <input type="text" id="prix_2" name="prix_2" class="form-control" value="{{ $article->prix_2 }}" disabled>
                @if($errors->has('prix_2'))
                    <p class="help-block">
                        {{ $errors->first('prix_2') }}
                    </p>
                @endif
                <p class="helper-block">
                  
                </p>
            </div>

            <div class="form-group {{ $errors->has('tosell') ? 'has-error' : '' }}">
                <label for="first_name">Etat Vente </label>
                <select class="form-control" name="tosell" disabled> 
                    <option value="1" @if($article->tosell == 1) selected @endif> En Vente</option>
                    <option value="0" @if($article->tosell == 0) selected @endif> Hors Vente </option> 
                <select>  
                @if($errors->has('etat'))
                    <p class="help-block">
                        {{ $errors->first('etat') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            <div class="form-group {{ $errors->has('mini_description') ? 'has-error' : '' }}">
                <label for="email">Mini Description</label>
                <textarea rows="8" cols="5" name="mini_description" class="form-control" disabled>
                        {{ $article->mini_description }}
                </textarea>
                @if($errors->has('mini_description'))
                    <p class="help-block">
                        {{ $errors->first('mini_description') }}
                    </p>
                @endif
                <p class="helper-block">

                </p>
            </div>

            <div class="form-group {{ $errors->has('description') ? 'has-error' : '' }}">
                <label for="email">Description</label>
                <textarea rows="8" cols="8" name="description" class="form-control" disabled>
                    {{ $article->description }}
                </textarea>
                @if($errors->has('description'))
                    <p class="help-block">
                        {{ $errors->first('description') }}
                    </p>
                @endif
                <p class="helper-block">

                </p>
            </div>
        
            <div class="d-flex my-4 text-center">
                <a class="btn btn-success text-white" href="{{ route('admin.panier.ajouter', ['id' => $id]) }} "> Ajouter au Panier </a> 
            </div>
        </form>
    </div>
</div>
@endsection