@extends('layouts.admin')
@section('content')

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

<div class="card">
    <div class="card-header">
        NOUVELLE COMMANDE CLIENT
    </div>

    <div class="card-body">
        <form action="{{ route("admin.commande_client.store") }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="form-group {{ $errors->has('first_name') ? 'has-error' : '' }}">
                <label for="first_name">CLIENT *</label>
                <select class="form-control" name="client_id" > 

                @foreach($clients as $c)
                    <option value="{{ $c->id }}"> {{ $c->nom_complet . ' ' . $c->telephone }} </option> 
                @endforeach
                <select>  
                @if($errors->has('client_id'))
                    <p class="help-block">
                        {{ $errors->first('client_id') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>
            <div class='col-sm-6'>
                <div class="form-group">
                    <div class='input-group date' id='datetimepicker'>
                        <input type='text' class="form-control" />
                        <span class="input-group-addon">
                            <span class="glyphicon glyphicon-time fas fa-user"></span>
                        </span>
                    </div>
                </div>
            </div>
            <div class="form-group {{ $errors->has('date') ? 'has-error' : '' }}">
                <label for="last_name">Date</label>
                <input type="text" name="date" class="form-control" value="{{ old('date', isset($client) ? $client->date : '') }}">
             
                @if($errors->has('date'))
                    <p class="help-block">
                        {{ $errors->first('date') }}
                    </p>
                @endif
                <p class="helper-block">
                    
                </p>
            </div>
            <div class="form-group {{ $errors->has('agence') ? 'has-error' : '' }}">
                <label for="company">Agence</label>
                <input type="text" id="agence" name="agence" class="form-control" value="{{ old('agence', isset($client) ? $client->agence : '') }}">
                @if($errors->has('agence'))
                    <p class="help-block">
                        {{ $errors->first('agence') }}
                    </p>
                @endif
                <p class="helper-block">
                    
                </p>
            </div>
            <select class="myselect" style="width:500px;">
                <option>Laravel</option>
                <option>Laravel ACL</option>
                <option>Laravel PDF</option>
                <option>Laravel Helper</option>
                <option>Laravel API</option>
                <option>Laravel CRUD</option>
                <option>Laravel Angural JS Crud</option>
                <option>C++</option>
            </select>
            <div class="form-group {{ $errors->has('agence') ? 'has-error' : '' }}">
                <label for="company">Programme</label>
                <input type="text" id="programme" name="programme" class="form-control" value="{{ old('programme', isset($client) ? $client->programme : '') }}">
                @if($errors->has('programme'))
                    <p class="help-block">
                        {{ $errors->first('programme') }}
                    </p>
                @endif
                <p class="helper-block">
                    
                </p>
            </div>
            <div class="form-group {{ $errors->has('agence') ? 'has-error' : '' }}">
                <label for="company">Avis Banque</label>
                <input type="text" id="avis_banque" name="avis_banque" class="form-control" value="{{ old('avis_banque', isset($client) ? $client->avis_banque : '') }}">
                @if($errors->has('avis_banque'))
                    <p class="help-block">
                        {{ $errors->first('avis_banque') }}
                    </p>
                @endif
                <p class="helper-block">
                    
                </p>
            </div>
            <div class="form-group {{ $errors->has('email') ? 'has-error' : '' }}">
                <label for="email">Note</label>
                <textarea  name="note" class="form-control" rows="8" cols="8"> </textarea> 
                @if($errors->has('email'))
                    <p class="help-block">
                        {{ $errors->first('email') }}
                    </p>
                @endif
                <p class="helper-block">
                   
                </p>
            </div>
            <input type="hidden" name="user_id" value="{{ Auth::user()->id }}" /> 
            <div>
                <input class="btn btn-danger" type="submit" value="Enregistrer">
            </div>
        </form>
    </div>
</div>

<script type="text/javascript">
      $(".myselect").select2();
</script>

@endsection