@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        COMMANDE N {{ 'CO' . Carbon\Carbon::parse($commande_clients->created_at)->year . '' . Carbon\Carbon::parse($commande_clients->created_at)->month . '-0' . $commande_clients->id }}
    </div>

    <div class="card-body">
        <div class="row">
            <ul class="col-md-5" style="list-style-type: none;">
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Client </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $client->nom_complet }}" disabled/>
                    </div>
                </li> 
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Date </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $commande_clients->date }}" disabled/>
                    </div>
                </li> 

                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Agence </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $commande_clients->agence }}"  disabled/>
                    </div>
                </li> 

                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Programme </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $commande_clients->programme }}"  disabled/>
                    </div>
                </li> 

                
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Avis Banque </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $commande_clients->avis_banque }}"  disabled/>
                    </div>
                </li> 

                
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Commerciale </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $user->name }}"  disabled/>
                    </div>
                </li> 
            </ul>
            <div class="col-md-5"> 
               
            </div> 
        </div>
    </div>
</div>

<br /> 
<div class="card">
    <div class="card-header">
        
    </div>

    <div class="card-body">
        @if($commande_clients->etat == 'brouillon')
            <form class="card" style="padding: 10px;" method="post" action="{{route('admin.commande_article_client.store')}}">
                @csrf
                <table>
                    <tr>
                        <td style="width: 45%;">
                            <div class="form-group">
                                <label for="first_name">Produit Disponible</label>
                                <select class="form-control article" name="article_id">
                                    <option value=""> Sélectionnez un produit </option> 
                                    @foreach($articles as $a)
                                        <option value="{{ $a->id }}"> {{ $a->libelle . ' | ' . $a->prix . ' FCFA' }}
                                    @endforeach 
                                </select> 
                            </div>
                        </td>
                
                        <td style="width: 150px;">
                            <div class="form-group">
                                <label for="last_name">Prix (FCFA)</label>
                                <input type="text" class="form-control prix_select" name="prix" value="" /> 
                            
                            </div>
                            
                        </td>

                        <td style="width: 70px;">
                            <div class="form-group">
                                <label for="last_name">Quantité</label>
                                <input type="text" class="form-control quantite" name="quantite" /> 
                                <input type="hidden" name="commande_id" class="form-control" value="{{ $id }}" />
                            </div>
                        </td>

                        <td style="width: 80px;">
                            <div class="form-group">
                            <label for="last_name">Réd. (%) </label>
                                <input type="text" class="form-control" name="reduction"  /> 
                            </div> 
                        </td>

                        <td style="width: 80px; padding-top: 10px;">
                            <input class="btn btn-primary" type="submit" value="Ajouter">
                        </td>

                    </tr>
                </table>
            </form>
        @endif 
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover">
                <thead>
                    <tr>

                        <th>
                            Libellé
                        </th>

                        <th>
                            Description
                        </th>

                        <th>
                            Prix HT
                        </th>

                        <th>
                            Quantité 
                        </th>

                        <th>
                            Montant
                        </th>

                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($commande_articles as $c)
                        <tr>
                            <td> {{ $c->libelle }} </td> 

                            <td> {{ $c->description }} </td> 

                            <td> {{ $c->prix }} </td> 

                            <td> {{ $c->quantite }} </td> 

                            <td> {{ $c->montant }} </td> 

                            <td> 
                                @can('client_delete')
                                    <form action="{{ route('admin.commande_article_client.destroy', $c->id) }}"  target="_blank" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE" />
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}" />
                                        <input type="submit" target="_blank" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan
                            </td> 
                        </tr>
                    @endforeach 
                </tbody>
            </table>
        </div>
        <div class="row" style=" float: right; padding: 10px;">
            @if($commande_clients->etat == 'brouillon')
                <form style="padding-left: 15px;" action="{{ route('admin.commande_client.valider') }}" method="POST">
                    @csrf
                    <input type="hidden" name="id" value="{{ $id }}" />
                    <input type="submit" class="btn btn-success" value="Valider" />
                </form>
            @else 
                <form style="padding-left: 15px;" action="{{ route('admin.commande_client.brouillon') }}" method="POST">
                    @csrf
                    <input type="hidden" name="id" value="{{ $id }}" />
                    <input type="submit" class="btn btn-success" value="Retour en brouillon" />
                </form>
            @endif

            <a href="{{ route('admin.invoice.pdf', ['id' => $id] ) }}" target="_blank"  style="margin-left: 15px;" type="submit" class="btn btn-success"> Générer une commande </a> 
            
            <a href="{{ route('admin.commande_facture_create', ['id' => $id] ) }}" style="margin-left: 15px;" type="submit" class="btn btn-success"> Créer une facture </a> 
           
            @if($commande_clients->etat != 'livré')
                <form style="padding-left: 15px;" action="{{ route('admin.commande_client.livrer') }}" method="POST">
                    @csrf     
                    <input type="hidden" name="id" value="{{ $id }}" />
                    <input type="submit" class="btn btn-success" value="Classer Livré" />
                </form>
            @endif 

            @if($commande_clients->etat == 'livré')
                <form style="padding-left: 15px;" action="{{ route('admin.commande_client.livrer') }}" method="POST">
                    @csrf    
                    <input type="hidden" name="id" value="{{ $id }}" />
                    <input type="submit" class="btn btn-success" value="Classer Non Livré" />
                </form>
            @endif 

            <form style="padding-left: 15px;" >
                <input type="hidden" value="1" />
                <input type="submit" class="btn btn-success" value="Créer un Bon de Livraison" />
            </form>
        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
    $(function () {
        let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
        @can('client_delete')
            let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
            let deleteButton = {
                text: deleteButtonTrans,
                url: "{{ route('admin.clients.massDestroy') }}",
                className: 'btn-danger',
                action: function (e, dt, node, config) {
                var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                    return $(entry).data('entry-id')
                });

                if (ids.length === 0) {
                    alert('{{ trans('global.datatables.zero_selected') }}')

                    return
                }

                if (confirm('{{ trans('global.areYouSure') }}')) {
                    $.ajax({
                        headers: {'x-csrf-token': _token},
                        method: 'POST',
                        url: config.url,
                        data: { ids: ids, _method: 'DELETE' }})
                        .done(function () { /*location.reload() */})
                    }
                }
            }
            dtButtons.push(deleteButton)
        @endcan

        $.extend(true, $.fn.dataTable.defaults, {
            order: [[ 1, 'desc' ]],
            pageLength: 100,
        });

        $('.datatable-Client:not(.ajaxTable)').DataTable({ buttons: dtButtons })
            $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
                $($.fn.dataTable.tables(true)).DataTable()
                    .columns.adjust();
            });
    })

    $(".article" ).change(function() {
    
        $('.prix_select').val($('.article option:selected').text().split('|')[1]);
        $('.quantite').val('1');
    });

</script>
@endsection