@extends('layouts.admin')
@section('content')

    <form action="{{ route("admin.catalogue.store") }}" method="POST" enctype="multipart/form-data">
        <div class="row"> 
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header">
                        IMFORMATION CLIENT 
                    </div>

                    <div class="card-body">
                        @csrf
                        <div class="form-group {{ $errors->has('nom_complet') ? 'has-error' : '' }}">
                            <label for="first_name">Nom Complet *</label>
                            <input type="text" id="nom_complet" name="nom_complet" class="form-control" value="{{ old('nom_complet') }}" required>
                            @if($errors->has('nom_complet'))
                                <p class="help-block">
                                    {{ $errors->first('nom_complet') }}
                                </p>
                            @endif
                            <p class="helper-block">
                                {{ trans('cruds.client.fields.first_name_helper') }}
                            </p>
                        </div>
                        <div class="form-group {{ $errors->has('adresse') ? 'has-error' : '' }}">
                            <label for="last_name">Adresse</label>
                            <input type="text" id="adresse" name="addresse" class="form-control" value="{{ old('adresse') }}">
                            @if($errors->has('adresse'))
                                <p class="help-block">
                                    {{ $errors->first('adresse') }}
                                </p>
                            @endif
                            <p class="helper-block">
                                {{ trans('cruds.client.fields.last_name_helper') }}
                            </p>
                        </div>
                        <div class="form-group {{ $errors->has('telephone') ? 'has-error' : '' }}">
                            <label for="numcompte">Numéro téléphone</label>
                            <input type="text" id="telephone" name="telephone" class="form-control" value="{{ old('telephone') }}">
                            @if($errors->has('telephone'))
                                <p class="help-block">
                                    {{ $errors->first('telephone') }}
                                </p>
                            @endif
                            <p class="helper-block">
                            
                            </p>
                        </div>
                        <div class="form-group {{ $errors->has('email') ? 'has-error' : '' }}">
                            <label for="email">Email</label>
                            <input type="email" id="email" name="email" class="form-control" value="{{ old('email') }}">
                            @if($errors->has('email'))
                                <p class="help-block">
                                    {{ $errors->first('email') }}
                                </p>0
                            @endif
                            <p class="helper-block">

                            </p>
                        </div>
                        <div class="form-group {{ $errors->has('numcompte') ? 'has-error' : '' }}">
                            <label for="numcompte">Numéro de compte bancaire</label>
                            <input type="text" id="numcompte" name="numcompte" class="form-control" value="{{ old('numcompte') }}">
                            @if($errors->has('numcompte'))
                                <p class="help-block">
                                    {{ $errors->first('numcompte') }}
                                </p>
                            @endif
                            <p class="helper-block">
                        
                            </p>
                        </div>
                        <div class="form-group {{ $errors->has('gestcompt') ? 'has-error' : '' }}">
                            <label for="gestcompt">gestionnaire de compte</label>
                            <input type="text" id="gestcompt" name="gestcompt" class="form-control" value="{{ old('gestcompt') }}">
                            @if($errors->has('gestcompt'))
                                <p class="help-block">
                                    {{ $errors->first('gestcompt') }}
                                </p>
                            @endif
                            <p class="helper-block">
                            
                            </p>
                        </div>

                        <div class="form-group {{ $errors->has('gestcompt') ? 'has-error' : '' }}">
                            <label for="gestcompt">Affecter à un commercial</label>
                            <select name="commercial" class="select2 form-control">
                                <option> </option> 
                                @foreach($users as $u)
                                    <option value="{{$u->id}}"> {{ $u->name . ' ' . $u->email }} </option> 
                                @endforeach  
                            </select> 
                            <p class="helper-block">
                            
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header">
                        INFORMATION DE LA COMMANDE 
                    </div>

                    <div class="card-body">
                        <form action="{{ route("admin.commande_client.store") }}" method="POST" enctype="multipart/form-data">
                            @csrf
                    
                            <div class="form-group {{ $errors->has('date') ? 'has-error' : '' }}">
                                <label for="last_name">Date</label>
                                <input type="text" name="date" class="form-control date" value="{{ old('date') }}">
                            
                                @if($errors->has('date'))
                                    <p class="help-block">
                                        {{ $errors->first('date') }}
                                    </p>
                                @endif
                                <p class="helper-block">
                                    
                                </p>
                            </div>
                            <div class="form-group {{ $errors->has('agence_id') ? 'has-error' : '' }}">
                                <label for="company">Agence</label>
                                <select class="form-control select2" name="agence" > 
                                    <option> </option>
                                    @foreach($agences as $a)
                                        <option value="{{ $a->id }}"> {{ $a->agence }} </option> 
                                    @endforeach
                                <select>  
                                @if($errors->has('agence'))
                                    <p class="help-block">
                                        {{ $errors->first('agence') }}
                                    </p>
                                @endif
                                <p class="helper-block">
                                    
                                </p>
                            </div>
                        
                            <div class="form-group {{ $errors->has('programme') ? 'has-error' : '' }}">
                                <label for="first_name">Programme</label>
                                <select class="form-control" name="programme"> 
                                    <option value="EMC"> EMC </option>
                                    <option value="NEANT "> NEANT </option> 
                                <select>  
                                @if($errors->has('programme'))
                                    <p class="help-block">
                                        {{ $errors->first('programme') }}
                                    </p>
                                @endif
                                <p class="helper-block">
                                    {{ trans('cruds.client.fields.first_name_helper') }}
                                </p>
                            </div>
                            
                            <div class="form-group {{ $errors->has('first_name') ? 'has-error' : '' }}">
                                <label for="first_name">Avis Banque</label>
                                <select class="form-control" name="avis_banque"> 
                                    <option value="1"> traitement en cours </option>
                                    <option value="2"> validé </option> 
                                    <option value="3"> rejeté </option>
                                    <option value="4"> Non Souscrit </option>
                                    <option value="5"> EMC LIBRE </option>
                                    <option value="6"> détournment d'objectif </option> 
                            
                                <select>  
                                @if($errors->has('avis_banque'))
                                    <p class="help-block">
                                        {{ $errors->first('avis_banque') }}
                                    </p>
                                @endif
                                <p class="helper-block">
                                    {{ trans('cruds.client.fields.first_name_helper') }}
                                </p>
                            </div>
                            
                            <div class="form-group {{ $errors->has('email') ? 'has-error' : '' }}">
                                <label for="email">Note</label>
                                <textarea  name="note" class="form-control" rows="8" cols="8"> </textarea> 
                                @if($errors->has('email'))
                                    <p class="help-block">
                                        {{ $errors->first('note') }}
                                    </p>
                                @endif
                                <p class="helper-block">
                                
                                </p>
                            </div>
                            <input type="hidden" name="user_id" value="{{ Auth::user()->id }}" /> 
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                
            </div>

            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-striped table-hover">
                        <thead>
                            <tr>

                                <th>
                                    Libellé
                                </th>

                                <th>
                                    Description
                                </th>

                                <th>
                                    Prix HT
                                </th>

                                <th>
                                    Quantité 
                                </th>
                                
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($produits as $c)
                                <tr>
                                    <td> {{ explode( ':::', $c)[1] ?? ''}} </td> 

                                    <td> {{ explode( ':::', $c)[3] ?? '' }}  </td> 

                                    <td> {{ explode( ':::', $c)[2] ?? ''}} </td> 

                                    <td> <input class="form-control" value="1" name="qty" />  </td> 
                                
                                </tr>
                            @endforeach 
                        </tbody>
                    </table>
                </div>
                <div class="row"> 
                    <div class="col-md-12 text-center"> 
                        <input type="submit" class="btn btn-success" value="Enregistrer la commande"/> 
                        <a href="{{ route('admin.panier.supprimer')  }}"class="btn btn-danger"> Annuler la commande </a> 
                    </div>
                </div>
            </div>
        </div>
    </form>

@endsection