@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        NOUVEAU PRODUIT
    </div>

    <div class="card-body">
        <form action="{{ route("admin.articles.store") }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="form-group {{ $errors->has('nom_complet') ? 'has-error' : '' }}">
                <label for="first_name">Libellé *</label>
                <input type="text" id="libelle" name="libelle" class="form-control" value="{{ old('libelle', isset($article) ? $article->libelle : '') }}" required>
                @if($errors->has('libelle'))
                    <p class="help-block">
                        {{ $errors->first('libelle') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            <div class="form-group {{ $errors->has('categorie_id') ? 'has-error' : '' }}">
                <label for="first_name">Catégorie *</label>
               <select name="categorie_id" class="form-control"> 
                   <option value=""> Sélectionnez le catégorie de produit </option> 
                   @foreach($categories as $c)
                        <option value="{{ $c->id }}"> {{ $c->categorie }} </option> 
                   @endforeach 
                </select>
                @if($errors->has('categorie_id'))
                    <p class="help-block">
                        {{ $errors->first('categorie_id') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            <div class="form-group {{ $errors->has('adresse') ? 'has-error' : '' }}">
                <label for="last_name">Prix</label>
                <input type="text" id="prix" name="prix" class="form-control" value="{{ old('prix', isset($article) ? $article->prix : '') }}">
                @if($errors->has('prix'))
                    <p class="help-block">
                        {{ $errors->first('prix') }}
                    </p>
                @endif
                <p class="helper-block">
                  
                </p>
            </div>
            <div class="form-group {{ $errors->has('telephone') ? 'has-error' : '' }}">
                <label for="num_compte">Quantité</label>
                <input type="text" id="quantite" name="quantite" class="form-control" value="{{ old('quantite', isset($client) ? $client->telephone : '') }}">
                @if($errors->has('quantite'))
                    <p class="help-block">
                        {{ $errors->first('quantite') }}
                    </p>
                @endif
                <p class="helper-block">
                   
                </p>
            </div>
            <div class="form-group {{ $errors->has('description') ? 'has-error' : '' }}">
                <label for="email">Description</label>
                <textarea rows="8" cols="8" name="description" class="form-control">

                </textarea>
                @if($errors->has('description'))
                    <p class="help-block">
                        {{ $errors->first('description') }}
                    </p>
                @endif
                <p class="helper-block">

                </p>
            </div>
        
            <div>
                <input class="btn btn-danger" type="submit" value="{{ trans('global.save') }}">
            </div>
        </form>
    </div>
</div>
@endsection