@extends('layouts.admin')
@section('content')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <form action="{{ route('admin.catalogue.rechercher') }}" method="POST">
            @csrf    
                <input class="form-control" name="produit" value="" placeholder="Rechercher un produit" />
                <br /> 
                <div class="text-center"> 
                    <input type="submit" class="btn btn-primary" value="Rechercher" />  
                </div>
               
            </form> 
        </div>
    </div>

<div class="card">
    <div class="card-header">
        CATALOGUE DES PRODUITS 
    </div> 

    <div class="card-body">
        <section class="pt-5 pb-5">
            <div class="container">
                <div class="row mb-md-2">
                    @foreach($produits as $p)
                        <div class="col-md-6 col-lg-4">
                            <div class="card shadow-sm border-light mb-4">
                                <a href="{{ route('admin.articles.show',$p->rowid) }}" class="position-relative text-center">
                                    <img src="{{ url('/image-produit/' . $p->canvas) }}" style="height: 30vh; width: 30vh;" class="card-img-top" alt="image"> 
                                </a>
                                <div class="card-body text-center">
                                    <a href="{{ route('admin.articles.show',$p->rowid) }}">
                                        <h5 class="font-weight-bolder">{{ $p->label }}</h5>
                                    </a>
                                    <div class="post-meta"><span class="text-md"><i class="fas fa-money mr-2"></i>{{ $p->mini_description }}</span></div>

                                    <div class="post-meta"><span class="text-lg font-weight-bolder"><i class="fas fa-money mr-2"></i>{{ number_format($p->price , 0 ,'', ' ') }} FCFA</span></div>
                                    <div class="post-meta"><span class="text-lg font-weight-bold text-secondary"><i class="fas fa-money mr-2"></i>{{ number_format($p->prix_1 , 0 ,'', ' ') }} FCFA / 12 mois</span></div>
                                    <div class="post-meta"><span class="text-lg font-weight-bold text-danger"><i class="fas fa-money mr-2"></i>{{ number_format($p->prix_2 , 0 ,'', ' ') }} FCFA / 24 mois</span></div>
                                    <div class="text-center text-white">
                                        <a class="btn btn-primary text-white" href="{{ route('admin.articles.show',$p->rowid) }}" style="margin: 2px;"> Voire le produit </a> 
                                        <a class="btn btn-success text-white" href="{{ route('admin.panier.ajouter', ['id' => $p->rowid]) }}" style="margin: 2px;"> Ajouter au Panier </a> 
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
        
            </div>
        </section>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
    $(function () {
        let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
        @can('client_delete')
            let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
            let deleteButton = {
                text: deleteButtonTrans,
                url: "{{ route('admin.clients.massDestroy') }}",
                className: 'btn-danger',
                action: function (e, dt, node, config) {
                var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                    return $(entry).data('entry-id')
                });

                if (ids.length === 0) {
                    alert('{{ trans('global.datatables.zero_selected') }}')

                    return
                }

                if (confirm('{{ trans('global.areYouSure') }}')) {
                    $.ajax({
                    headers: {'x-csrf-token': _token},
                    method: 'POST',
                    url: config.url,
                    data: { ids: ids, _method: 'DELETE' }})
                    .done(function () { location.reload() })
                }
                }
            }
            dtButtons.push(deleteButton)
        @endcan

        $.extend(true, $.fn.dataTable.defaults, {
            order: [[ 1, 'desc' ]],
            pageLength: 100,
        });
        $('.datatable-Client:not(.ajaxTable)').DataTable({ buttons: dtButtons })
        $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
            $($.fn.dataTable.tables(true)).DataTable()
                .columns.adjust();
        });
    })
</script>
@endsection