@extends('layouts.admin')
@section('content')
<h3 class="page-title">{{ trans('cruds.clientReport.title') }}</h3>
<div class="row">
    <div class="col-md-3 col-sm-6 col-12">
        <div class="info-box bg-gradient-info">
            <span class="info-box-icon"><i class="far fa-bookmark"></i></span>
            <div class="info-box-content">
            <span class="info-box-text">Commandes</span>
            <span class="info-box-number">{{ $nbre_commande->total }}</span>

            <div class="progress">
                <div class="progress-bar" style="width: 0%"></div>
            </div>
            <span class="progress-description">
        
            </span>
            </div>
            <!-- /.info-box-content -->
        </div>
    <!-- /.info-box -->
    </div>
    <!-- /.col -->
    <div class="col-md-3 col-sm-6 col-12">
        <div class="info-box bg-gradient-success">
            <span class="info-box-icon"><i class="far fa-thumbs-up"></i></span>

            <div class="info-box-content">
            <span class="info-box-text">Montant Commande Validé (FCFA)</span>
            <span class="info-box-number">{{ number_format($montant_commande->total, 0, '', ' ') }}</span>
            
            <div class="progress">
                <div class="progress-bar" style="width: 0 %;"></div>
            </div>
            <span class="progress-description">
          
            </span>
            </div>
            <!-- /.info-box-content -->
        </div>
    <!-- /.info-box -->
    </div>
    <!-- /.col -->
    <div class="col-md-3 col-sm-6 col-12">
        <div class="info-box bg-gradient-warning">
            <span class="info-box-icon"><i class="far fa-calendar-alt"></i></span>

            <div class="info-box-content">
            <span class="info-box-text">Commande Validé</span>
            <span class="info-box-number">{{ $nbre_commande_valide->total }}</span>

            <div class="progress">
                <div class="progress-bar" style="width: 0%"></div>
            </div>
            <span class="progress-description">
            
            </span>
            </div>
            <!-- /.info-box-content -->
        </div>
    <!-- /.info-box -->
    </div>
    <!-- /.col -->
    <div class="col-md-3 col-sm-6 col-12">
        <div class="info-box bg-gradient-danger">
            <span class="info-box-icon"><i class="fas fa-comments"></i></span>

            <div class="info-box-content">
            <span class="info-box-text">Commandes Fournisseurs (FCFA)</span>
            <span class="info-box-number">{{number_format($montant_commande_fournisseur->total, 0, '', ' ') }}</span>

            <div class="progress">
                <div class="progress-bar" style="width: 0%"></div>
            </div>
            <span class="progress-description">
               
            </span>
            </div>
            <!-- /.info-box-content -->
        </div>
    <!-- /.info-box -->
    </div>
    <!-- /.col -->
</div>

                <!-- RAPPORT CONCERNAT LES COMMANDES CLIENTS  --> 
<div class="row"> 
    <div class="col-md-4"> 
        <div class="card card-success"> 
            <div class="card-header">
                MONTANT PAR AGENCE DU MOIS COURANT
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-striped table-hover datatable" id="table">
                        <thead>
                            <tr>
                                <th>
                                Banque
                                </th>

                                <th>
                                    Montant (FCFA)
                                </th>
                            
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($rap as $agence => $montant)
                                <tr>
                                    <td>
                                        {{ $agence }}
                                    </td>

                                    <td>
                                        {{ number_format($montant, 0, '', ' ') }}
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-8"> 
        <div class="card card-primary">
            <div class="card-header">
                <h3 class="card-title"> Montant Commandes validé par Agence </h3>
            </div>
            <div class="card-body">
                <div class="chart">
                    <canvas id="myChart" width="200" height="50"></canvas>
                </div>
            </div>
    <!-- /.card-body -->
        </div>
    </div>
</div> 

<div class="card">
    <div class="card-header">
        10 DERNIERS COMMANDES VALIDE PAR LA BANQUE
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover" id="table">
                 <thead>
                    <tr>
                        <th width="5">

                        </th>

                        <th>
                            Réf.
                        </th>

                        <th>
                            Date
                        </th>

                        <th>
                            Client
                        </th>
                        
                        <th>
                            Produit
                        </th>

                        <th>
                            Montant 
                        </th>
                        @can('commission_voire')
                            <th>
                                Commission
                            </th>
                        @endcan
                        <th>
                            Agence
                        </th>
                        
                        <th>
                             Banque
                        </th>

                        <th> 
                            Auteur 
                        </th> 

                        <th> Commercial </th> 

                        <th>
                            Livraison
                        </th>

                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($commandes as $key => $commande)
    
                        <tr data-entry-id="{{ $commande->rowid }}">
                            <td>

                            </td>

                            <td>
                                {{ $commande->ref ?? '' }}
                            </td>

                            <td>
                                {{ (Carbon\Carbon::parse($commande->date_creation))->day . '-' . (Carbon\Carbon::parse($commande->date_creation))->month . '-' . (Carbon\Carbon::parse($commande->date_creation))->year ?? '' }}
                            </td>

                            <td>
                                {{ $commande->nom ?? '' }}
                            </td>

                            <td>
                                <span style=" font-size: 13px; padding: 4px; border: 1px solid transparent; border-radius: 6px; background-color: #2c3e50; color: #fff;">   
                                    @foreach($commande->fk_product as $prod)
                                        {{ $prod  }}
                                    @endforeach 
                                </span>
                            </td>

                            <td>
                                {{ number_format($commande->total_ttc, 0 , '', ' ') ?? '' }}
                            </td>

                            @can('commission_voire')
                                <td>
                                    {{ number_format($commande->commission, 0 , '', ' ') ?? '' }}
                                </td>
                            @endcan

                            <td>
                                {{ $commande->banque ?? '' }}
                            </td>
                            
                            <td >
                                <span class="{{ $commande->color }}" style=" font-size: 13px; padding: 4px; border: 1px solid transparent; border-radius: 6px;">   
                                    {{ $commande->avis_banque ?? '' }}
                                </span> 
                             
                            </td>

                            <td>
                                {{ $commande->name ?? '' }}
                            </td>
                                     
                            <td>
                                {{ $commande->numcom ?? '' }}
                            </td>

                            <td>
                                <span class="{{ $commande->fk_currency}}" style=" font-size: 13px; padding: 4px; border: 1px solid transparent; border-radius: 6px;">   
                                    {{ $commande->fk_statut ?? '' }}
                                </span>
                            </td>
                         
                            <td>
                                @can('commande_voire')
                                    <a class="btn btn-xs btn-primary fa fa-eye" href="{{ route('admin.commande_client.show', $commande->rowid) }}">
                                        
                                    </a>
                                @endcan

                                @can('commande_modifier')
                                    <a class="btn btn-xs btn-info fa fa-edit" href="{{ route('admin.commande_client.edit', $commande->rowid) }}">
                                     
                                    </a>
                                @endcan

                                @can('commande_supprimer')
                                    <form action="{{ route('admin.commande_client.destroy', $commande->rowid) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <button type="submit" class="btn btn-xs btn-danger">
                                            <i class="fa fa-trash"> </i> 
                                        </button> 
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div> 

                    <!-- RAPPORT CONCERNAT LES COMMANDES FOURNISSEURS  --> 
<div class="row"> 
    <div class="col-md-4"> 
        <div class="card card-success"> 
            <div class="card-header">
                MONTANT COMMANDES FOURNISSEURS PAR MOIS DE L'ANNEE COURANT
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-striped table-hover datatable" id="table">
                        <thead>
                            <tr>
                                <th>
                                    Mois
                                </th>

                                <th>
                                    Montant (FCFA)
                                </th>
                            
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($rap_fournisseur as $mois => $montant)
                                <tr>
                                    <td>
                                        {{ $mois }}
                                    </td>

                                    <td>
                                        {{ number_format($montant, 0, '', ' ') }}
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-8"> 
        <div class="card card-primary">
            <div class="card-header">
                <h3 class="card-title"> Montant Commande Fournisseur par mois </h3>
            </div>
            <div class="card-body">
                <div class="chart">
                    <canvas id="ChartFourni" width="200" height="50"></canvas>
                </div>
            </div>
    <!-- /.card-body -->
        </div>
    </div>
</div> 

<div class="card">
    <div class="card-header">
        15 DERNIERS COMMANDES FOURNISSEURS
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover" id="table">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            Ref.
                        </th>
                        <th>
                            Fournisseur
                        </th>
                        <th>
                            Date
                        </th>
                        <th>
                            Montant 
                        </th>
                        <th> 
                            Auteur 
                        </th> 
                        <th>
                            Etat 
                        </th>
                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                    <tbody>
                        @foreach($commandes_fournisseurs as $key => $commande_fournisseur)
                            <tr data-entry-id="{{ $commande_fournisseur->rowid }}">
                                <td>

                                </td>
                                <td>
                                    {{ $commande_fournisseur->ref ?? '' }}
                                </td>
                                <td>
                                    {{ $commande_fournisseur->nom ?? '' }}
                                </td>
                                <td>
                                    {{ (Carbon\Carbon::parse($commande_fournisseur->date_creation))->day . '-' . (Carbon\Carbon::parse($commande->date_creation))->month . '-' . (Carbon\Carbon::parse($commande->date_creation))->year ?? '' }}
                                </td>
                                <td>
                                    {{ number_format($commande_fournisseur->total_ttc, 0, '', ' ')  ?? '' }}
                                </td>
                                
                                <td>
                                    {{ $commande_fournisseur->name ?? '' }}
                                </td>
                            
                                <td>
                                    <span class="{{ $commande_fournisseur->canvas }}" style=" font-size: 13px; padding: 4px; border: 1px solid transparent; border-radius: 6px;">   
                                        {{ $commande_fournisseur->fk_statut ?? '' }}
                                    </span>
                                </td>

                                <td>
                                    @can('commande_fournisseur_voire')
                                        <a class="btn btn-xs btn-primary fa fa-eye" href="{{ route('admin.commande_fournisseur.show', $commande_fournisseur->rowid) }}">
                                            
                                        </a>
                                    @endcan

                                    <!--
                                            @can('commande_fournisseur_modifier')
                                                <a class="btn btn-xs btn-info fa fa-edit" href="{{ route('admin.commande_fournisseur.edit', $commande->rowid) }}">
                                                
                                                </a>
                                            @endcan
                                        -->

                                    @can('commande_fournisseur_supprimer')
                                        <form action="{{ route('admin.commande_fournisseur.destroy', $commande_fournisseur->rowid) }}" method="POST" onsubmit="return confirm('Etes-vous sur de vouloir le supprimer ?');" style="display: inline-block;">
                                            <input type="hidden" name="_method" value="DELETE">
                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                            <button type="submit" class="btn btn-xs btn-danger">
                                                <i class="fa fa-trash"> </i> 
                                            </button> 
                                        </form>
                                    @endcan

                                </td>

                            </tr>
                        @endforeach
                    </tbody>
            </table>
        </div>
    </div>
</div> 


<script src="{{ asset('plugins/chart.js/Chart.min.js') }}"></script>

<script>
const ctx = document.getElementById('myChart').getContext('2d');


const myChart = new Chart(ctx, {
    type: 'bar',
    data: {
        labels: @json($agences),
        datasets: [{
            label: 'Montant par mois',
            data: @json($montants),
            backgroundColor: '#27ae60',
            borderWidth: 1
        }]
    },
    options: {
        scales: {
            y: {
                beginAtZero: false
            }
        }
    }
});
</script>

<script>
    const ctx2 = document.getElementById('ChartFourni').getContext('2d');

    const ChartFourni = new Chart(ctx2, {
        type: 'bar',
        data: {
            labels: @json($date_commandes_fournisseurs),
            datasets: [{
                label: 'Montant par agence',
                data: @json($montants_fournisseurs),
                backgroundColor: '#c0392b',
                borderWidth: 1
            }]
        },
        options: {
            scales: {
                y: {
                    beginAtZero: false
                }
            }
        }
    });
</script>
@endsection 

