@extends('layouts.admin')
@section('content')
@can('client_create')
<title> LISTE DES COMMANDE CLIENTS </title> 
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('admin.commande_client.create') }}">
                Nouvelle Commande 
            </a>
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        LISTE DES COMMANDES CLIENTS
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover datatable datatable-Client" id="table">
                <thead>
                    <tr>
                        <th width="5">

                        </th>

                        <th>
                            Réf.
                        </th>

                        <th>
                            Date
                        </th>

                        <th>
                            Client
                        </th>

                        <th>
                            Commande
                        </th>

                        <th>
                            Montant 
                        </th>
                        @can('commission_voire')
                            <th>
                                Commission
                            </th>
                        @endcan
                        <th>
                            Agence
                        </th>
                        
                        <th>
                             Banque
                        </th>

                        <th> 
                            Auteur 
                        </th> 

                        <th> Commercial </th> 

                        <th>
                            Livraison
                        </th>

                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($commandes as $key => $commande)
    
                        <tr data-entry-id="{{ $commande->rowid }}">
                            <td>

                            </td>

                            <td>
                                {{ $commande->ref ?? '' }}
                            </td>

                            <td>
                                {{ (Carbon\Carbon::parse($commande->date_creation))->day . '-' . (Carbon\Carbon::parse($commande->date_creation))->month . '-' . (Carbon\Carbon::parse($commande->date_creation))->year ?? '' }}
                            </td>

                            <td>
                                {{ $commande->nom ?? '' }}
                            </td>
                            <td>
                                <span style=" font-size: 13px; padding: 4px; border: 1px solid transparent; border-radius: 6px; background-color: #2c3e50; color: #fff;">   
                                    @foreach($commande->fk_product as $prod)
                                        {{ $prod  }}
                                    @endforeach 
                                </span>
                            </td>

                            <td>
                                {{ number_format($commande->total_ttc, 0 , '', ' ') ?? '' }}
                            </td>

                            @can('commission_voire')
                                <td>
                                    {{ number_format($commande->commission, 0 , '', ' ') ?? '' }}
                                </td>
                            @endcan

                            <td>
                                {{ $commande->banque ?? '' }}
                            </td>
                            
                            <td >
                                <span class="{{ $commande->color }}" style=" font-size: 13px; padding: 4px; border: 1px solid transparent; border-radius: 6px;">   
                                    {{ $commande->avis_banque ?? '' }}
                                </span> 
                             
                            </td>

                            <td>
                                {{ $commande->name ?? '' }}
                            </td>
                                     
                            <td>
                                {{ $commande->numcom ?? '' }}
                            </td>

                            <td>
                                <span class="{{ $commande->fk_currency}}" style=" font-size: 13px; padding: 4px; border: 1px solid transparent; border-radius: 6px;">   
                                    {{ $commande->fk_statut ?? '' }}
                                </span>
                            </td>
                         
                            <td>
                                @can('commande_voire')
                                    <a class="btn btn-xs btn-primary fa fa-eye" href="{{ route('admin.commande_client.show', $commande->rowid) }}">
                                        
                                    </a>
                                @endcan

                                @can('commande_modifier')
                                    <a class="btn btn-xs btn-info fa fa-edit" href="{{ route('admin.commande_client.edit', $commande->rowid) }}">
                                     
                                    </a>
                                @endcan

                                @can('commande_supprimer')
                                    <form action="{{ route('admin.commande_client.destroy', $commande->rowid) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <button type="submit" class="btn btn-xs btn-danger">
                                            <i class="fa fa-trash"> </i> 
                                        </button> 
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
                <tfoot>
                    <tr>
                        <th colspan="4" style="text-align:right;"></th>
                        <th></th>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
    $(function () {
    let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
    @can('client_delete')
        let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
        let deleteButton = {
            text: deleteButtonTrans,
            url: "{{ route('admin.clients.massDestroy') }}",
            className: 'btn-danger',
            action: function (e, dt, node, config) {
            var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                return $(entry).data('entry-id')
            });

            if (ids.length === 0) {
                alert('{{ trans('global.datatables.zero_selected') }}')

                return
            }

            if (confirm('{{ trans('global.areYouSure') }}')) {
                $.ajax({
                headers: {'x-csrf-token': _token},
                method: 'POST',
                url: config.url,
                data: { ids: ids, _method: 'DELETE' }})
                .done(function () { location.reload() })
            }
            }
        }
        dtButtons.push(deleteButton)
    @endcan

  $.extend(true, $.fn.dataTable.defaults, {
    order: [[ 1, 'desc' ]],
   
    lengthMenu: [0, 5, 10, 20, 50, 100, 200, 500],
  });
     $('.datatable-Client:not(.ajaxTable)').DataTable({ buttons: dtButtons, 
        drawCallback: function () {
            var api = this.api();
            $( api.table().footer() ).html( '<strong>Total Montant : ' +
                api.column( 4, {page:'current'} ).data().sum() +
                ' FCFA <br/>Total Commission : ' +
                api.column( 5, {page:'current'} ).data().sum() + ' FCFA</strong>'
            );
        },
        
    });
     
  //console.log('Sum : ' + table.column( 4 ).data().sum())
/*
    $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
        $($.fn.dataTable.tables(true)).DataTable()
            .columns.adjust();
    }).column( 4 ).data().sum();*/
})
  
</script>
@endsection