@extends('layouts.admin')
@section('content')
@can('client_create')
<title> LISTE DES COMMANDE CLIENTS </title> 
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <form action="{{ route('admin.rapport.rechercher') }}" method="POST">
            @csrf    
            <input class="form-control" name="mois" value="" placeholder="Rechercher par mm-nnnn" />
                <br /> 
                <div class="text-center"> 
                    <input type="submit" class="btn btn-primary" value="Rechercher" />  
                </div>
               
            </form> 
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header text-center">
        LISTE DES MONTANTS TOTAUX PAR <strong> AGENCE </strong>  DU MOIS <strong> {{ $date }} </strong>
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover datatable" id="table">
                <thead>
                    <tr>
                        <th>
                           Banque
                        </th>

                        <th>
                            Montant (FCFA)
                        </th>
                       
                    </tr>
                </thead>
                <tbody>
                    @foreach($rap as $agence => $montant)
                        <tr>
                            <td>
                                {{ $agence }}
                            </td>

                            <td>
                                {{ number_format($montant, 0, '', ' ') }}
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>

<div class="card card-primary">
    <div class="card-header">
        <h3 class="card-title"> Montant Commandes validé par Agence </h3>
    </div>
    <div class="card-body">
        <div class="chart">
            <canvas id="myChart" width="400" height="200"></canvas>
        </div>
    </div>
<!-- /.card-body -->
</div>

@endsection
@section('scripts')
@parent
<script>
    $(function () {
    let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
    

  $.extend(true, $.fn.dataTable.defaults, {
    order: [[ 1, 'desc' ]],
   
    lengthMenu: [0, 5, 10, 20, 50, 100, 200, 500],
  });
     $('.datatable-Client:not(.ajaxTable)').DataTable({ buttons: dtButtons, 
        drawCallback: function () {
            var api = this.api();
            $( api.table().footer() ).html( '<strong>Total Montant : ' +
                api.column( 4, {page:'current'} ).data().sum() +
                ' FCFA <br/>Total Commission : ' +
                api.column( 5, {page:'current'} ).data().sum() + ' FCFA</strong>'
            );
        },
        
    });
     
  //console.log('Sum : ' + table.column( 4 ).data().sum())
    /*
        $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
            $($.fn.dataTable.tables(true)).DataTable()
                .columns.adjust();
        }).column( 4 ).data().sum();
    */
})
  
</script>



<script src="{{ asset('plugins/chart.js/Chart.min.js') }}"></script>

<script>
const ctx = document.getElementById('myChart').getContext('2d');


const myChart = new Chart(ctx, {
    type: 'bar',
    data: {
        labels: @json($agences),
        datasets: [{
            label: 'Montant par agence',
            data: @json($montants),
            backgroundColor: '#2980b9',
            borderWidth: 1
        }]
    },
    options: {
        scales: {
            y: {
                beginAtZero: false
            }
        }
    }
});
</script>

@endsection