@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        COMMANDE FOURNISSEUR N {{ $commande_fournisseur->ref }}
    </div>

    <div class="card-body">
        <div class="row">
            <ul class="col-md-5" style="list-style-type: none;">
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Fournisseur </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $fournisseur->nom }}" disabled/>
                    </div>
                </li> 
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Date </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ Carbon\Carbon::parse($commande_fournisseur->date_commande)->day. '-'. Carbon\Carbon::parse($commande_fournisseur->date_commande)->month . '-'. Carbon\Carbon::parse($commande_fournisseur->date_commande)->year }}" disabled/>
                    </div>
                </li> 
                
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Etat Commande Fournisseur </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $commande_fournisseur->fk_statut }}"  disabled/>
                    </div>
                </li> 

                
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Utlisateur  </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $commande_fournisseur->name }}"  disabled/>
                    </div>
                </li> 
            </ul>
            <div class="col-md-5"> 
               
            </div> 
        </div>
    </div>
</div>

<br /> 
<div class="card">
    <div class="card-header">
        
    </div>

    <div class="card-body">
        @if($commande_fournisseur->fk_statut == 0 || $commande_fournisseur->fk_statut == NULL)
            <form class="card" style="padding: 10px;" method="post" action="{{route('admin.commande_article_fournisseur.store')}}">
                @csrf
                <table>
                    <tr>
                        <td style="width: 35%;">
                            <div class="form-group">
                                <label for="first_name">Produit Disponible</label>
                                <select class="form-control article select2" name="article_id">
                                    <option value=""> Sélectionnez un produit </option> 
                                        @foreach($articles as $a)
                                            <optgroup label="{{ $a->label }}"> 
                                                <option value="{{ $a->rowid }}"> {{ $a->label . '| '. $a->description }} </option> 
                                            </optgroup>
                                        @endforeach 
                                </select> 
                            </div>
                        </td>
                        <td style="width: 35%;">
                        <div class="form-group">
                            <label for="last_name">Client </label>
                            <input type="text" class="form-control" name="client" value="" /> 
                        </div>
                        </td>
                        <td style="width: 150px;">
                            <div class="form-group">
                                <label for="last_name">Prix (FCFA)</label>
                                <input type="text" class="form-control prix_select" name="prix" value="" /> 
                            </div>
                        </td>

                        <td style="width: 70px;">
                            <div class="form-group">
                                <label for="last_name">Quantité</label>
                                <input type="text" class="form-control quantite" name="quantite" /> 
                                <input type="hidden" name="commande_id" class="form-control" value="{{ $id }}" />
                            </div>
                        </td>

                        <td style="width: 80px;">
                            <div class="form-group">
                            <label for="last_name">Réd. (%) </label>
                                <input type="text" class="form-control" name="reduction"  /> 
                            </div> 
                        </td>

                        <td style="width: 80px; padding-top: 10px;">
                            <input class="btn btn-primary" type="submit" value="Ajouter">
                        </td>

                    </tr>
                </table>
            </form>
        @endif 
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover">
                <thead>
                    <tr>

                        <th>
                            Libellé
                        </th>

                        <th>
                            Description
                        </th>
                        <th>
                            Client
                        </th>
                        <th>
                            Prix HT
                        </th>

                        <th>
                            Quantité 
                        </th>

                        <th>
                            Montant
                        </th>
                        @if($commande_fournisseur->fk_statut == 0 || $commande_fournisseur->fk_statut == NULL )
                            <th>
                                Action
                            </th>
                        @endif 
                    </tr>
                </thead>
                <tbody>
                    @foreach($commande_articles as $c)
                        <tr>
                            <td> {{ $c->label }} </td> 

                            <td> {{ $c->description }} </td> 

                            <td> {{ $c->fk_societe ?? ' ' }} </td> 

                            <td> {{ number_format($c->subprice, 0 , '', ' ') }} </td> 

                            <td> {{ $c->qty}} </td> 

                            <td> {{ $c->total_ttc}} </td> 
                            @if($commande_fournisseur->fk_statut == 0 || $commande_fournisseur->fk_statut == NULL )
                                <td> 
                                    @can('commande_fournisseur_modifier')
                                        <form action="{{ route('admin.commande_article_fournisseur.destroy', $c->rowid) }}" method="POST" onsubmit="return confirm('Etes-vous sûr de vouloir le supprimer ?');" style="display: inline-block;">
                                            <input type="hidden" name="_method" value="DELETE" />
                                            <input type="hidden" name="_token" value="{{ csrf_token() }}" />
                                            <button type="submit" class="btn btn-xs btn-danger">
                                                <i class="fa fa-trash"> </i> 
                                            </button> 
                                        </form>
                                    @endcan
                                </td> 
                            @endif 
                        </tr>
                    @endforeach 
                </tbody>
            </table>
        </div>
        <div class="row" style=" float: right; padding: 10px;">
            @if($commande_fournisseur->fk_statut == 0 || $commande_fournisseur->fk_statut == NULL )
                <form style="padding-left: 15px;" action="{{ route('admin.commande_fournisseur.valider') }}" method="POST">
                    @csrf
                    <input type="hidden" name="id" value="{{ $id }}" />
                    <input type="submit" class="btn btn-success" value="Valider et Approuver" />
                </form>
            @else 
                <form style="padding-left: 15px;" action="{{ route('admin.commande_fournisseur.brouillon') }}" method="POST">
                    @csrf
                    <input type="hidden" name="id" value="{{ $id }}" />
                    <input type="submit" class="btn btn-success" value="Retour en brouillon" />
                </form>
            @endif
            <a href="{{ route('admin.bl_fournisseur.pdf', ['id' => $id]) }}" target="_blank"  style="margin-left: 15px;" type="submit" class="btn btn-success"> Générer une commande </a> 
    
            @if($commande_fournisseur->fk_statut == 4)
                <form style="padding-left: 15px;" action="{{ route('admin.commande_fournisseur.recu') }}" method="POST">
                    @csrf     
                    <input type="hidden" name="id" value="{{ $id }}" />
                    <input type="submit" class="btn btn-success" value="Classer la Réception" />
                </form>
            @endif 

            <!--
                @if($commande_fournisseur->fk_statut == 5)
                    <form style="padding-left: 15px;" action="{{ route('admin.commande_fournisseur.recu') }}" method="POST">
                        @csrf    
                        <input type="hidden" name="id" value="{{ $id }}" />
                        <input type="submit" class="btn btn-success" value="Classer Non Reçu" />
                    </form>
                @endif 
                -->
            <form style="padding-left: 15px;">
                <input type="hidden" name="id" value="{{ $id }} />
                <input type="submit" class="btn btn-success" value="Créer un Bordereau de Livraison" />
            </form>
        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
    $(function () {
        let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
        @can('client_delete')
            let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
            let deleteButton = {
                text: deleteButtonTrans,
                url: "{{ route('admin.clients.massDestroy') }}",
                className: 'btn-danger',
                action: function (e, dt, node, config) {
                var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                    return $(entry).data('entry-id')
                });

                if (ids.length === 0) {
                    alert('{{ trans('global.datatables.zero_selected') }}')

                    return
                }

                if (confirm('{{ trans('global.areYouSure') }}')) {
                    $.ajax({
                        headers: {'x-csrf-token': _token},
                        method: 'POST',
                        url: config.url,
                        data: { ids: ids, _method: 'DELETE' }})
                        .done(function () { /*location.reload() */})
                    }
                }
            }
            dtButtons.push(deleteButton)
        @endcan

        $.extend(true, $.fn.dataTable.defaults, {
            order: [[ 1, 'desc' ]],
            pageLength: 100,
        });

        $('.datatable-Client:not(.ajaxTable)').DataTable({ buttons: dtButtons })
            $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
                $($.fn.dataTable.tables(true)).DataTable()
                    .columns.adjust();
            });
    })

    $(".article" ).change(function() {
    
        //$('.prix_select').val($('.article option:selected').text().split('|')[1]);
        $('.quantite').val('1');
    });

</script>
@endsection