@extends('layouts.admin')
@section('content')
@can('client_create')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route("admin.clients.create") }}">
                Nouveau Client
            </a>
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        LISTE DES COMMERCIAUX 
    </div>

    <div class="card-body">
    <section class="pt-5 pb-5">
        <div class="container">
            <div class="row mb-md-2">
                @foreach($commerciaux as $c)
                    <div class="col-md-6 col-lg-4">
                        <div class="card shadow-sm border-light mb-4">
                            <a href="#" class="position-relative">
                                <img src="https://via.placeholder.com/500x350/5fa9f8/ffffff" class="card-img-top" alt="image"> 
                            </a>
                            <div class="card-body">
                                <a href="#">
                                    <h5 class="font-weight-normal">{{ $c->name }}</h5>
                                </a>
                                <div class="post-meta"><span class="small lh-120"><i class="fas fa-map-marker-alt mr-2"></i>{{ $c->email }}</span></div>
                                <div class="d-flex my-4">
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        <div class="row py-4 mt-md-5">
            <div class="col text-center">
                <a href="#" class="btn btn-lg shadow btn-primary mt-1">Browse all</a>
            </div>
        </div>
        </div>
</section>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
     $(function () {
    let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
    @can('client_delete')
        let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
        let deleteButton = {
            text: deleteButtonTrans,
            url: "{{ route('admin.clients.massDestroy') }}",
            className: 'btn-danger',
            action: function (e, dt, node, config) {
            var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                return $(entry).data('entry-id')
            });

            if (ids.length === 0) {
                alert('{{ trans('global.datatables.zero_selected') }}')

                return
            }

            if (confirm('{{ trans('global.areYouSure') }}')) {
                $.ajax({
                headers: {'x-csrf-token': _token},
                method: 'POST',
                url: config.url,
                data: { ids: ids, _method: 'DELETE' }})
                .done(function () { location.reload() })
            }
            }
        }
        dtButtons.push(deleteButton)
    @endcan

  $.extend(true, $.fn.dataTable.defaults, {
    order: [[ 1, 'desc' ]],
   
    lengthMenu: [0, 5, 10, 20, 50, 100, 200, 500],
  });
  $('.datatable-Client:not(.ajaxTable)').DataTable({ buttons: dtButtons })
    $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
        $($.fn.dataTable.tables(true)).DataTable()
            .columns.adjust();
    });
})

</script>
@endsection