@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        NOUVELLE COMMISSION
    </div>

    <div class="card-body">
        <form action="{{ route("admin.commissions.store") }}" method="POST" enctype="multipart/form-data">
            @csrf

            <div class="form-group {{ $errors->has('agence') ? 'has-error' : '' }}">
                <label for="first_name">Montant (en pourcentage)*</label>
                <input type="text" id="montant" name="montant" class="form-control" value="{{ old('montant') }}" required>
                @if($errors->has('montant'))
                    <p class="help-block">
                        {{ $errors->first('montant') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

            
            <div class="form-group {{ $errors->has('agence') ? 'has-error' : '' }}">
                <label for="first_name">Note</label>
                <textarea rows="4" cols="6" id="note" name="note" class="form-control" value="{{ old('note') }}">
                </textarea> 
                @if($errors->has('note'))
                    <p class="help-block">
                        {{ $errors->first('note') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>

        
            <div>
                <input class="btn btn-danger" type="submit" value="Enregistrer">
            </div>
        </form>
    </div>
</div>
@endsection