@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        FACTURE N {{ 'FA' . Carbon\Carbon::parse($facture->created_at)->year . '' . Carbon\Carbon::parse($facture->created_at)->month . '-0' . $facture->id }}
    </div>

    <div class="card-body">
        <div class="row">
            <ul class="col-md-5" style="list-style-type: none;">
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Client </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $client->nom_complet }}" disabled/>
                    </div>
                </li> 
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Date </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $facture->date }}" disabled/>
                    </div>
                </li> 
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Reçu </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $facture->recu }}" disabled/>
                    </div>
                </li>
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Créance </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $facture->creance }}" disabled/>
                    </div>
                </li>
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Montant </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $facture->montant }}" disabled/>
                    </div>
                </li>
                <li> 
                    <div class="form-group" style="display: inline-block;">
                        <lable> Utilisateur </label> 
                        <input class="form-control" style="width: 30em;" name="date" value="{{ $user->name }}"  disabled/>
                    </div>
                </li> 
            </ul>
            <div class="col-md-5"> 
               
            </div> 
        </div>
    </div>
</div>

<br /> 
<div class="card">
    <div class="card-header">
        
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover">
                <thead>
                    <tr>

                        <th>
                            Libellé
                        </th>

                        <th>
                            Description
                        </th>

                        <th>
                            Prix HT
                        </th>

                        <th>
                            Quantité 
                        </th>

                        <th>
                            Montant
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($articles as $a)
                        <tr>
                            <td> {{ $a->libelle }} </td> 

                            <td> {{ $a->description }} </td> 

                            <td> {{ $a->prix }} </td> 

                            <td> {{ $a->quantite }} </td> 

                            <td> {{ $a->montant }} </td> 
                          
                        </tr>
                    @endforeach 
                </tbody>
            </table>
        </div>
        <div class="row" style=" float: right; padding: 10px;">
            @if($facture->etat == 'brouillon')
                <form style="padding-left: 15px;" action="" method="POST">
                    @csrf
                    <input type="hidden" name="id" value="{{ $id }}" />
                    <input type="submit" class="btn btn-success" value="Valider" />
                </form>
            @else 
                <form style="padding-left: 15px;" action="" method="POST">
                    @csrf
                    <input type="hidden" name="id" value="{{ $id }}" />
                    <input type="submit" class="btn btn-success" value="Retour en brouillon" />
                </form>
            @endif

            <a href="{{ route('admin.facture_client_saisir', ['id' => $id] ) }}" style="margin-left: 15px;" type="submit" class="btn btn-success"> Saisir Réglement </a> 
          
            <a href="{{ route('admin.invoice.pdf', ['id' => $id] ) }}" target="_blank"  style="margin-left: 15px;" type="submit" class="btn btn-success"> Générer une facture </a> 
            
        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
    $(function () {
        let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
        @can('client_delete')
            let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
            let deleteButton = {
                text: deleteButtonTrans,
                url: "{{ route('admin.clients.massDestroy') }}",
                className: 'btn-danger',
                action: function (e, dt, node, config) {
                var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                    return $(entry).data('entry-id')
                });

                if (ids.length === 0) {
                    alert('{{ trans('global.datatables.zero_selected') }}')

                    return
                }

                if (confirm('{{ trans('global.areYouSure') }}')) {
                    $.ajax({
                        headers: {'x-csrf-token': _token},
                        method: 'POST',
                        url: config.url,
                        data: { ids: ids, _method: 'DELETE' }})
                        .done(function () { /*location.reload() */})
                    }
                }
            }
            dtButtons.push(deleteButton)
        @endcan

        $.extend(true, $.fn.dataTable.defaults, {
            order: [[ 1, 'desc' ]],
            pageLength: 100,
        });

        $('.datatable-Client:not(.ajaxTable)').DataTable({ buttons: dtButtons })
            $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
                $($.fn.dataTable.tables(true)).DataTable()
                    .columns.adjust();
            });
    })

    $(".article" ).change(function() {
    
        $('.prix_select').val($('.article option:selected').text().split('|')[1]);
        $('.quantite').val('1');
    });

</script>
@endsection