@extends('layouts.admin')
@section('content')

<!--
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
--> 
<div class="card">
    <div class="card-header">
        NOUVELLE COMMANDE CLIENT
    </div>

    <div class="card-body">
        <form action="{{ route("admin.commande_client.store") }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="form-group {{ $errors->has('first_name') ? 'has-error' : '' }}">
                <label for="first_name">CLIENT *</label>
                <select class="form-control select2" name="client_id" > 
                    <option> </option>
                    @foreach($clients as $c)
                        <option value="{{ $c->rowid }}"> {{ $c->nom . ' ' . $c->phone }} </option> 
                    @endforeach
                <select>  
                @if($errors->has('client_id'))
                    <p class="help-block">
                        {{ $errors->first('client_id') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>
    
            <div class="form-group {{ $errors->has('date') ? 'has-error' : '' }}">
                <label for="last_name">Date</label>
                <input type="text" name="date" class="form-control date" value="{{ old('date') }}">
             
                @if($errors->has('date'))
                    <p class="help-block">
                        {{ $errors->first('date') }}
                    </p>
                @endif
                <p class="helper-block">
                    
                </p>
            </div>
            <div class="form-group {{ $errors->has('agence_id') ? 'has-error' : '' }}">
                <label for="company">Agence</label>
                <select class="form-control select2" name="agence" > 
                    <option> </option>
                    @foreach($agences as $a)
                        <option value="{{ $a->id }}"> {{ $a->agence }} </option> 
                    @endforeach
                <select>  
                @if($errors->has('agence'))
                    <p class="help-block">
                        {{ $errors->first('agence') }}
                    </p>
                @endif
                <p class="helper-block">
                    
                </p>
            </div>
          
            <div class="form-group {{ $errors->has('programme') ? 'has-error' : '' }}">
                <label for="first_name">Programme</label>
                <select class="form-control" name="programme"> 
                    <option value="EMC"> EMC </option>
                    <option value="NEANT "> NEANT </option> 
                <select>  
                @if($errors->has('programme'))
                    <p class="help-block">
                        {{ $errors->first('programme') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>
            
            <div class="form-group {{ $errors->has('first_name') ? 'has-error' : '' }}">
                <label for="first_name">Avis Banque</label>
                <select class="form-control" name="avis_banque"> 
                    <option value="1"> traitement en cours </option>
                    <option value="2"> validé </option> 
                    <option value="3"> rejeté </option>
                    <option value="4"> Non Souscrit </option>
                    <option value="5"> EMC LIBRE </option>
                    <option value="6"> détournment d'objectif </option> 
            
                <select>  
                @if($errors->has('avis_banque'))
                    <p class="help-block">
                        {{ $errors->first('avis_banque') }}
                    </p>
                @endif
                <p class="helper-block">
                    {{ trans('cruds.client.fields.first_name_helper') }}
                </p>
            </div>
            
            <div class="form-group {{ $errors->has('email') ? 'has-error' : '' }}">
                <label for="email">Note</label>
                <textarea  name="note" class="form-control" rows="8" cols="8"> </textarea> 
                @if($errors->has('email'))
                    <p class="help-block">
                        {{ $errors->first('email') }}
                    </p>
                @endif
                <p class="helper-block">
                   
                </p>
            </div>
            <input type="hidden" name="user_id" value="{{ Auth::user()->id }}" /> 
            <div>
                <input class="btn btn-danger" type="submit" value="Enregistrer">
            </div>
        </form>
    </div>
</div>


<script type="text/javascript">
      $(".myselect").select2();
</script>

@endsection