<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>Laravel</title>

        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">

        <!-- Styles -->
        <style>
            html, body {
                background-color: #fff;
                color: #636b6f;
                font-family: 'Nunito', sans-serif;
                font-weight: 200;
                height: 100vh;
                margin: 0;
            }

            .full-height {
                height: 100vh;
            }

            .flex-center {
                align-items: center;
                display: flex;
                justify-content: center;
            }

            .position-ref {
                position: relative;
            }

            .top-right {
                position: absolute;
                right: 10px;
                top: 18px;
            }

            .content {
                text-align: center;
            }

            .title {
                font-size: 84px;
            }

            .links > a {
                color: #636b6f;
                padding: 0 25px;
                font-size: 13px;
                font-weight: 600;
                letter-spacing: .1rem;
                text-decoration: none;
                text-transform: uppercase;
            }

            .m-b-md {
                margin-bottom: 30px;
            }
        </style>
    </head>
    <body>
        <div class="flex-center position-ref full-height">
            @if (Route::has('login'))
                <div class="top-right links">
                    @auth
                        <a href="{{ url('/home') }}">Home</a>
                    @else
                        <a href="{{ route('login') }}">Login</a>

                        @if (Route::has('register'))
                            <a href="{{ route('register') }}">Register</a>
                        @endif
                    @endauth
                </div>
            @endif

            <div class="content">
                <div class="title m-b-md">
                    Laravel
                </div>

                <div class="links">
                    <a href="https://laravel.com/docs">Docs</a>
                    <a href="https://laracasts.com">Laracasts</a>
                    <a href="https://laravel-news.com">News</a>
                    <a href="https://blog.laravel.com">Blog</a>
                    <a href="https://nova.laravel.com">Nova</a>
                    <a href="https://forge.laravel.com">Forge</a>
                    <a href="https://vapor.laravel.com">Vapor</a>
                    <a href="https://github.com/laravel/laravel">GitHub</a>
                </div>
            </div>
        </div>
    </body>
</html>




@can('project_access')
    <li class="nav-item">
        <a href="{{ route("admin.projects.index") }}" class="nav-link {{ request()->is('admin/projects') || request()->is('admin/projects/*') ? 'active' : '' }}">
            <i class="fa-fw fas fa-briefcase">

            </i>
            <p>
                <span>Charges | Dépenses</span>
            </p>
        </a>
    </li>
@endcan
@can('note_access')
    <li class="nav-item">
        <a href="{{ route("admin.notes.index") }}" class="nav-link {{ request()->is('admin/notes') || request()->is('admin/notes/*') ? 'active' : '' }}">
            <i class="fa-fw fas fa-sticky-note">

            </i>
            <p>
                <span>Banque | Caisse </span>
            </p>
        </a>
    </li>
@endcan
@can('document_access')
    <li class="nav-item">
        <a href="{{ route("admin.documents.index") }}" class="nav-link {{ request()->is('admin/documents') || request()->is('admin/documents/*') ? 'active' : '' }}">
            <i class="fa-fw fas fa-file-alt">

            </i>
            <p>
                <span>Comptabilité</span>
            </p>
        </a>
    </li>
@endcan
@can('transaction_access')
    <li class="nav-item">
        <a href="{{ route("admin.transactions.index") }}" class="nav-link {{ request()->is('admin/transactions') || request()->is('admin/transactions/*') ? 'active' : '' }}">
            <i class="fa-fw fas fa-credit-card">

            </i>
            <p>
                <span>Salaire</span>
            </p>
        </a>
    </li>
@endcan
@can('transaction_access')
    <li class="nav-item">
        <a href="{{ route("admin.transactions.index") }}" class="nav-link {{ request()->is('admin/transactions') || request()->is('admin/transactions/*') ? 'active' : '' }}">
            <i class="fa-fw fas fa-credit-card">

            </i>
            <p>
                <span>Rapport | Bilan</span>
            </p>
        </a>
    </li>
@endcan
@can('client_management_setting_access')
    <li class="nav-item has-treeview {{ request()->is('admin/currencies*') ? 'menu-open' : '' }} {{ request()->is('admin/transaction-types*') ? 'menu-open' : '' }} {{ request()->is('admin/income-sources*') ? 'menu-open' : '' }} {{ request()->is('admin/client-statuses*') ? 'menu-open' : '' }} {{ request()->is('admin/project-statuses*') ? 'menu-open' : '' }}">
        <a class="nav-link nav-dropdown-toggle" href="#">
            <i class="fa-fw fas fa-cog">

            </i>
            <p>
                <span>Paramètres</span>
                <i class="right fa fa-fw fa-angle-left"></i>
            </p>
        </a>
        <ul class="nav nav-treeview">
            @can('currency_access')
                <li class="nav-item">
                    <a href="{{ route("admin.currencies.index") }}" class="nav-link {{ request()->is('admin/currencies') || request()->is('admin/currencies/*') ? 'active' : '' }}">
                        <i class="fa-fw fas fa-money-bill">

                        </i>
                        <p>
                            <span>Régions</span>
                        </p>
                    </a>
                </li>
            @endcan
            @can('transaction_type_access')
                <li class="nav-item">
                    <a href="{{ route("admin.transaction-types.index") }}" class="nav-link {{ request()->is('admin/transaction-types') || request()->is('admin/transaction-types/*') ? 'active' : '' }}">
                        <i class="fa-fw fas fa-money-check">

                        </i>
                        <p>
                            <span>Agences</span>
                        </p>
                    </a>
                </li>
            @endcan
            @can('income_source_access')
                <li class="nav-item">
                    <a href="{{ route("admin.income-sources.index") }}" class="nav-link {{ request()->is('admin/income-sources') || request()->is('admin/income-sources/*') ? 'active' : '' }}">
                        <i class="fa-fw fas fa-database">

                        </i>
                        <p>
                            <span>{{ trans('cruds.incomeSource.title') }}</span>
                        </p>
                    </a>
                </li>
            @endcan
            @can('client_status_access')
                <li class="nav-item">
                    <a href="{{ route("admin.client-statuses.index") }}" class="nav-link {{ request()->is('admin/client-statuses') || request()->is('admin/client-statuses/*') ? 'active' : '' }}">
                        <i class="fa-fw fas fa-server">

                        </i>
                        <p>
                            <span>{{ trans('cruds.clientStatus.title') }}</span>
                        </p>
                    </a>
                </li>
            @endcan
            @can('project_status_access')
                <li class="nav-item">
                    <a href="{{ route("admin.project-statuses.index") }}" class="nav-link {{ request()->is('admin/project-statuses') || request()->is('admin/project-statuses/*') ? 'active' : '' }}">
                        <i class="fa-fw fas fa-server">

                        </i>
                        <p>
                            <span>{{ trans('cruds.projectStatus.title') }}</span>
                        </p>
                    </a>
                </li>
            @endcan
        </ul>
    </li>
@endcan