<?php

//Route::redirect('/', '/login');
//Route::redirect('/home', '/admin');
//Auth::routes(['register' => false]);

Route::get('/', 'PageController@index')->name('accueil');

Route::group(['prefix' => 'admin', 'as' => 'admin.', 'namespace' => 'Admin', 'middleware' => ['auth']], function () {
    Route::get('/', 'HomeController@index')->name('home');

    // Permissions
    Route::delete('permissions/destroy', 'PermissionsController@massDestroy')->name('permissions.massDestroy');
    Route::resource('permissions', 'PermissionsController');

    // Roles
    Route::delete('roles/destroy', 'RolesController@massDestroy')->name('roles.massDestroy');
    Route::resource('roles', 'RolesController');

    // Users
    Route::delete('users/destroy', 'UsersController@massDestroy')->name('users.massDestroy');
    Route::resource('users', 'UsersController');

      // Commandes generation de document et BL
    // Route::delete('commande_client/destroy', 'CommandeClientController@massDestroy')->name('commande_client.massDestroy');
    Route::resource('commande_client', 'CommandeClientController');
    Route::post('commande_client/valider', 'CommandeClientController@valider')->name('commande_client.valider');
    Route::post('commande_client/brouillon', 'CommandeClientController@brouillon')->name('commande_client.brouillon');
    Route::post('commande_client/livrer', 'CommandeClientController@livrer')->name('commande_client.livrer'); 

    Route::get('catalogue_accreditif', 'CatalogueController@accreditif')->name('catalogue_accreditif');

      // INSERTION COMMANDE AVEC ETAPE 
    Route::get('commande_client_step1', 'CommandeClientController@commandeCreateStepOne')->name('commande_client_step1');
    Route::post('commande_client_step1/store', 'CommandeClientController@commandeStoreStepOne')->name('commande_client_step1.store');

    Route::get('commande_client_step2-{id}', 'CommandeClientController@commandeCreateStepTwo')->name('commande_client_step2');
    Route::post('commande_client_step2.store', 'CommandeClientController@commandeStoreStepTwo')->name('commande_client_step2.store');

    Route::get('commande_client_step3-{id}', 'CommandeClientController@commandeCreateStepThree')->name('commande_client_step3');
    Route::post('commande_client_step3.store', 'CommandeClientController@commandeStoreStepThree')->name('commande_client_step3.store');
    
    Route::get('commande_client_rapport', 'CommandeClientController@rapport')->name('commande_client_rapport');
      
    Route::post('commande_facture_client/store', 'CommandeClientController@facture_store')->name('commande_facture_client.store');
    Route::get('commande_bl/create', 'CommandeClientController@bl_create')->name('commande_bl_create');
    Route::get('commande_bl/store', 'CommandeClientController@bl_store')->name('commande_bl_store');
   
    //Facture 
    Route::resource('facture_client', 'FactureClientController');

    Route::get('facture_client_saisir/{id}', 'FactureClientController@saisir')->name('facture_client_saisir');
    Route::post('facture_client_saisir', 'FactureClientController@saisir_post')->name('facture_client_saisir.post');

    //Route::post('facture_client/store', 'FactureClientController@facture_store')->name('facture_client.store');

    Route::get('commande_facture_create/{id}', 'CommandeClientController@facture_create')->name('commande_facture_create');

    // Catalogue 

    Route::resource('catalogue', 'CatalogueController');
    Route::post('catalogue/rechercher', 'CatalogueController@rechercher')->name('catalogue.rechercher'); 

    Route::get('panier/ajouter-{id}', 'CatalogueController@ajouter')->name('panier.ajouter');
    
    Route::get('panier/cart', 'CatalogueController@cart')->name('panier.cart');

    Route::get('panier/supprimer', 'CatalogueController@supprimer')->name('panier.supprimer'); 

    Route::post('rapport/rechercher', 'CommandeClientController@rapport')->name('rapport.rechercher');
    
    //Route::post('commande_client/facture', 'CommandeClientController@facture_store')->name('commande_client.facture');

    // Commandes articles clients 
      
    Route::delete('commande_article_client/destroy', 'CommandeArticleClientController@massDestroy')->name('commande_client.massDestroy');
    Route::resource('commande_article_client', 'CommandeArticleClientController');
    Route::get('fe/pdf{id}' , 'CommandeArticleClientController@fiche_expedition')->name('fe.pdf');
    Route::get('bl/pdf{id}' , 'CommandeArticleClientController@bordereau_livraison')->name('bl.pdf');

  
        /* NOTIFICATION MARQUE COMME LUE */ 

    Route::get('notif/lue' , 'UsersController@notif_lue')->name('notif.lue');


            /* FOURNISSEUR */

    // Commandes generation de document et BL 
    Route::delete('commande_fournisseur/destroy', 'CommandeFournisseurController@massDestroy')->name('commande_article_fournisseur.massDestroy');
    Route::resource('commande_fournisseur', 'CommandeFournisseurController');
    Route::post('commande_fournisseur/valider', 'CommandeFournisseurController@valider')->name('commande_fournisseur.valider');
    Route::post('commande_fournisseur/brouillon', 'CommandeFournisseurController@brouillon')->name('commande_fournisseur.brouillon');
    Route::post('commande_fournisseur/recu', 'CommandeFournisseurController@recu')->name('commande_fournisseur.recu'); 
    Route::get('commande_fourni/pdf{id}' , 'CommandeFournisseurController@bon_commande')->name('commande_fourni.pdf');
    
    Route::get('commande_fournisseur_rapport', 'CommandeFournisseurController@rapport')->name('commande_fournisseur_rapport');
    
    Route::get('bl_fournisseur/pdf{id}' , 'CommandeArticleFournisseurController@bordereau_livraison')->name('bl_fournisseur.pdf');

    // Commandes articles fournisseurs

    Route::delete('commande_article_fournisseur/destroy', 'CommandeArticleFournisseurController@massDestroy')->name('commande_fournisseur.massDestroy');
    Route::resource('commande_article_fournisseur', 'CommandeArticleFournisseurController');
    /*
      Route::get('fe/pdf{id}' , 'CommandeArticleFournisseurController@fiche_expedition')->name('fe.pdf');
      Route::get('bl/pdf{id}' , 'CommandeArticleFournisseurController@bordereau_livraison')->name('bl.pdf');
    */

    // Fournisseurs 
    Route::delete('fournisseurs/destroy', 'FournisseurController@massDestroy')->name('fournisseurs.massDestroy');
    Route::resource('fournisseurs', 'FournisseurController');

      //Bordereau de Livraison 
    Route::resource('bordereau_livraison', 'BordereauLivraisonController');

      // Categories
    Route::delete('categories/destroy', 'CategorieController@massDestroy')->name('categories.massDestroy');
    Route::resource('categories', 'CategorieController');

    // Region 
    Route::delete('regions/destroy', 'RegionController@massDestroy')->name('regions.massDestroy');
    Route::resource('regions', 'RegionController');

    // Agence 
    Route::delete('agences/destroy', 'AgenceController@massDestroy')->name('agences.massDestroy');
    Route::resource('agences', 'AgenceController');

     // Articles 
    Route::delete('articles/destroy', 'ArticleController@massDestroy')->name('articles.massDestroy');
    Route::resource('articles', 'ArticleController');
    

 
    // Currencies
    Route::delete('currencies/destroy', 'CurrencyController@massDestroy')->name('currencies.massDestroy');
    Route::resource('currencies', 'CurrencyController');

    // Transactiontypes
    Route::delete('transaction-types/destroy', 'TransactionTypeController@massDestroy')->name('transaction-types.massDestroy');
    Route::resource('transaction-types', 'TransactionTypeController');

    // Incomesources
    Route::delete('income-sources/destroy', 'IncomeSourceController@massDestroy')->name('income-sources.massDestroy');
    Route::resource('income-sources', 'IncomeSourceController');

    // Clientstatuses
    Route::delete('client-statuses/destroy', 'ClientStatusController@massDestroy')->name('client-statuses.massDestroy');
    Route::resource('client-statuses', 'ClientStatusController');

    // Projectstatuses 
    Route::delete('project-statuses/destroy', 'ProjectStatusController@massDestroy')->name('project-statuses.massDestroy');
    Route::resource('project-statuses', 'ProjectStatusController');

    // Commerciaux RECAP 
    Route::get('commerciaux', 'UsersController@commerciaux')->name('commerciaux.index'); 

    // Clients
    Route::delete('clients/destroy', 'ClientController@massDestroy')->name('clients.massDestroy');
    Route::resource('clients', 'ClientController');

    // Commissions
    Route::delete('commissions/destroy', 'CommissionController@massDestroy')->name('commissions.massDestroy');
    Route::resource('commissions', 'CommissionController');

    // Objectifs
    Route::delete('objectifs/destroy', 'ObjectifController@massDestroy')->name('objectifs.massDestroy');
    Route::resource('objectifs', 'ObjectifController');
  
    // Projects
    Route::delete('projects/destroy', 'ProjectController@massDestroy')->name('projects.massDestroy');
    Route::resource('projects', 'ProjectController');

    // Notes
    Route::delete('notes/destroy', 'NoteController@massDestroy')->name('notes.massDestroy');
    Route::resource('notes', 'NoteController');

    // Documents
    Route::delete('documents/destroy', 'DocumentController@massDestroy')->name('documents.massDestroy');
    Route::post('documents/media', 'DocumentController@storeMedia')->name('documents.storeMedia');
    Route::resource('documents', 'DocumentController');

    // Transactions
    Route::delete('transactions/destroy', 'TransactionController@massDestroy')->name('transactions.massDestroy');
    Route::resource('transactions', 'TransactionController');

    // Clientreports
    Route::delete('client-reports/destroy', 'ClientReportController@massDestroy')->name('client-reports.massDestroy');
    Route::resource('client-reports', 'ClientReportController');
});
